View Issue Details

IDProjectCategoryView StatusLast Update
0004659SOGoGUIpublic2019-02-14 14:18
Reporterwally Assigned Toludovic  
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformServer (x86_64)OSLinuxOS VersionDebian 10 Buster
Product Version4.0.5 
Fixed in Version4.0.6 
Summary0004659: Cannot view emails in the GUI (server side exception is thrown)
Description

Using the latest testing 4.0.5 packages from the official Debian repository against a Debian old-stable Dovecot IMAP server, the following exception is thrown in the SOGo server logs:

Jan 24 22:41:11 sogod [2864]: <0x0x560efac4c220[NGImap4Client]> TLS started successfully.
Jan 24 22:41:11 sogod [2864]: 10.0.90.34, 10.0.20.10, 10.0.20.11 "GET /SOGo/so/matthewhall/Mail/0/folderINBOX/64252/viewsource HTTP/1.1" 200 1584/0 0.549 4041 60% 0

(request for "viewsource" work and returns the source... but...)

Jan 24 22:41:11 sogod [2864]: <0x0x560efac4cae0[NGImap4Client]> TLS started successfully.
2019-01-24 22:41:12.503 sogod[2864:2864] EXCEPTION: <NSException: 0x560efb64a450> NAME:NSInvalidArgumentException REASON:[NSString+stringWithString:]: NULL string INFO:(null)
Jan 24 22:41:12 sogod [2864]: 10.0.90.34, 10.0.20.10, 10.0.20.11 "GET /SOGo/so/matthewhall/Mail/0/folderINBOX/64252/view HTTP/1.1" 501 0/0 0.550 - - 0

(all requests for "/view" fail)

Happens for all emails, for all accounts, etc. Worked on version 3.2.6 (Debian stable).

IMAP debug shows no issues, and I can download the email source and .eml via SOGo - which seems to demonstrate the IMAP connectivity is working properly.

Steps To Reproduce

Install 4.0.5 (I've tried a fresh install with a fresh database) and connect to a Dovecot IMAP server from Debian oldstable.

Login and attempt to view an email in the GUI.

TagsNo tags attached.

Relationships

has duplicate 0004673 closedludovic NAME:NSInvalidArgumentException when trying to view a message after update from 4.0.0 

Activities

wally

wally

2019-01-27 07:51

reporter   ~0013284

Can provide a GDB dump or whatever if required - if someone can give me the commands to run!
Have successfully reproduced on a completely fresh Debian Buster VirtualBox test VM.

ludovic

ludovic

2019-01-27 08:02

administrator   ~0013285

Produce a stack trace:

https://sogo.nu/support/faq/how-do-i-debug-sogo.html

wally

wally

2019-01-27 13:14

reporter   ~0013286

I'm afraid I can't find the dbg packages in the Debian repos, and I think that's blocking gdb from understanding the breakpoint instruction?

(gdb) b [NSException raise]
Function "[NSException raise]" not defined.

(It doesn't break when the exception raises either.)

Is there an alternative set of instructions I can use (or some dpkgs I can grab from elsewhere for the debug info), or can I capture the backtrace without them?

It looks like another user has also had the issue in 4.0.5 separately on the users@ mailing list too (FYI).

chetwisniewski

chetwisniewski

2019-01-28 00:17

reporter   ~0013287

I have the same issue related to these two mailing list posts:

https://lists.inverse.ca/sogo/arc/users/2019-01/msg00099.html
https://lists.inverse.ca/sogo/arc/users/2019-01/msg00100.html

Christian Mack

Christian Mack

2019-01-28 05:16

developer   ~0013289

In Debian testing/buster you have to add the debug repo http://debug.mirrors.debian.org/debian-debug/ to your sources list in order to get debug packages.
See
https://wiki.debian.org/DebugPackage

wally

wally

2019-01-28 06:16

reporter   ~0013290

Thank-you - sorry feeling a bit stupid - I did google and didn't find that information myself!

FYI for anyone on Debian Buster - the following (slightly different) instructions for SOGo debugging worked a charm (provided, as per Christian M - you have the Debian debug mirror setup):

sudo apt-get install sogo-dbgsym libgnustep-base*-dbgsym sogo-dbgsym sudo su -s /bin/bash - sogo gdb --args /usr/sbin/sogod -WOUseWatchDog NO -WONoDetach YES -WOPort 20000 -WOWorkersCount 1 -WOLogFile - -WOPidFile /tmp/sogo.pid

I've attached the backtrace to this ticket (uploaded file).

wally

wally

2019-01-28 06:16

reporter  

sogocrash.txt (3,741 bytes)   
#0  -[NSException raise] (self=0x555556266f30, _cmd=0x7ffff7400300 <_OBJC_SELECTOR_TABLE+480>) at NSException.m:1501
#1  0x00007ffff70edf59 in +[NSException raise:format:arguments:] (self=<optimized out>, _cmd=<optimized out>, name=0x7ffff7400cb0 <_OBJC_INSTANCE_5>,
    format=0x7ffff7460900 <_OBJC_INSTANCE_10.20430>, argList=0x7fffffffb9d0) at NSException.m:1392
#2  0x00007ffff70eebb3 in +[NSException raise:format:] (self=0x7ffff7400640 <_OBJC_Class_NSException>, _cmd=<optimized out>,
    name=0x7ffff7400cb0 <_OBJC_INSTANCE_5>, format=0x7ffff7460900 <_OBJC_INSTANCE_10.20430>) at NSException.m:1377
#3  0x00007ffff71a6ce1 in +[NSString stringWithString:] (self=0x7ffff745ff00 <_OBJC_Class_NSMutableString>, _cmd=<optimized out>, aString=0x0) at NSString.m:942
#4  0x00007ffff77c0d15 in ?? () from /usr/lib/libNGMime.so.4.9
#5  0x00007ffff77c0c1f in ?? () from /usr/lib/libNGMime.so.4.9
#6  0x00007ffff241ee78 in -[UIxMailView shouldAskReceipt] (self=0x55555629bef0, _cmd=0x7ffff243fdb0 <_OBJC_SELECTOR_TABLE+944>) at UIxMailView.m:721
#7  0x00007ffff241ce38 in -[UIxMailView defaultAction] (self=0x55555629bef0, _cmd=0x555555a71ad0) at UIxMailView.m:346
#8  0x00007ffff79f28ef in ?? () from /usr/lib/libNGObjWeb.so.4.9
#9  0x00007ffff253e94d in -[UIxComponent performActionNamed:] (self=0x55555629bef0, _cmd=0x7ffff7bb5c80, _actionName=0x5555559a6aa0) at UIxComponent.m:784
#10 0x00007ffff7a739e4 in ?? () from /usr/lib/libNGObjWeb.so.4.9
#11 0x00007ffff7a73b10 in ?? () from /usr/lib/libNGObjWeb.so.4.9
#12 0x00007ffff7a73758 in ?? () from /usr/lib/libNGObjWeb.so.4.9
#13 0x00007ffff7a73b10 in ?? () from /usr/lib/libNGObjWeb.so.4.9
#14 0x00007ffff7a6e011 in ?? () from /usr/lib/libNGObjWeb.so.4.9
#15 0x00007ffff7a704d2 in ?? () from /usr/lib/libNGObjWeb.so.4.9
#16 0x00007ffff79f472c in ?? () from /usr/lib/libNGObjWeb.so.4.9
#17 0x00007ffff79b4aa8 in ?? () from /usr/lib/libNGObjWeb.so.4.9
#18 0x00007ffff79b4dc1 in ?? () from /usr/lib/libNGObjWeb.so.4.9
#19 0x000055555555d626 in -[SOGo dispatchRequest:] (self=0x5555559d3b40, _cmd=0x7ffff7b9af80, _request=0x5555561bccf0) at SOGo.m:584
#20 0x00007ffff7a5ea12 in ?? () from /usr/lib/libNGObjWeb.so.4.9
#21 0x00007ffff7a5ed88 in ?? () from /usr/lib/libNGObjWeb.so.4.9
#22 0x00007ffff7a5aa2e in ?? () from /usr/lib/libNGObjWeb.so.4.9
#23 0x00007ffff7a5ac3e in ?? () from /usr/lib/libNGObjWeb.so.4.9
#24 0x00007ffff7a5b044 in ?? () from /usr/lib/libNGObjWeb.so.4.9
#25 0x00007ffff7a5b4e3 in ?? () from /usr/lib/libNGObjWeb.so.4.9
#26 0x00007ffff7145147 in -[NSNotificationCenter _postAndRelease:] (self=0x55555571eea0, _cmd=<optimized out>, notification=0x55555612b2d0)
    at NSNotificationCenter.m:1198
#27 0x00007ffff760dd3e in ?? () from /usr/lib/libNGExtensions.so.4.9
#28 0x00007ffff72599c9 in -[GSRunLoopCtxt pollUntil:within:] (self=<optimized out>, _cmd=0x7ffff744ca60 <_OBJC_SELECTOR_TABLE+1184>,
#29 0x00007ffff718b77f in -[NSRunLoop acceptInputForMode:beforeDate:] (self=0x5555559c7740, _cmd=0x7ffff744ca90 <_OBJC_SELECTOR_TABLE+1232>, mode=0x7ffff744d840 <_OBJC_INSTANCE_2>, limit_date=0x5555558d4b20) at NSRunLoop.m:1224
#30 0x00007ffff718b514 in -[NSRunLoop runMode:beforeDate:] (self=0x5555559c7740, _cmd=<optimized out>, mode=0x7ffff744d840 <_OBJC_INSTANCE_2>, date=0x5555558d4b20) at NSRunLoop.m:1304
#31 0x00007ffff79b42e4 in ?? () from /usr/lib/libNGObjWeb.so.4.9
#32 0x000055555555c76d in -[SOGo run] (self=0x5555559d3b40, _cmd=0x7ffff7b1fd90) at SOGo.m:337
#33 0x00007ffff79deb79 in WOApplicationMain () from /usr/lib/libNGObjWeb.so.4.9
#34 0x00007ffff7a000c9 in WOWatchDogApplicationMain () from /usr/lib/libNGObjWeb.so.4.9
#35 0x000055555555b30e in main (argc=13, argv=0x7fffffffec28, env=0x7fffffffec98) at sogod.m:51
sogocrash.txt (3,741 bytes)   
tom.sawyer

tom.sawyer

2019-01-30 16:01

reporter   ~0013291

Exactly identical problem on Archlinux:

  • "Request Failed" Notification when trying to open Email Body in SOGo Webfrontend, although complete list of emails including subject is shown.

  • Retrieving Mail Body with SOGo ActiveSync and Android Client works perfectly, seems only to be a problem with SOGo Webfrontend.

Daemon log output:

sogod[7500:7500] EXCEPTION: <NSException: 0x555555ed94a0> NAME:NSInvalidArgumentException REASON:[NSString+stringWithString:]: NULL string INFO:(null)

  • My Environment

    Arch Linux

  • SOGo 4.0.5 ( problem also existent on 4.0.4 )
  • mariadb 10.3.12
  • dovecot 2.3.4
  • postfix 3.3.2
  • samba 4.9.4
  • followed exactly this guide for configuring SOGo with Samba/LDAP:
    https://wiki.archlinux.org/index.php/SOGo

Also created a GDB backtrace ( see attachment ), seems to be quite identical to the one provided by walle

tom.sawyer

tom.sawyer

2019-01-30 16:01

reporter  

backtrace-sogod-tom.sawyer.txt (4,267 bytes)   
#0  0x00007ffff7589fb0 in -[NSException raise] () from /usr/lib/libgnustep-base.so.1.26
#1  0x00007ffff7588f8d in +[NSException raise:format:arguments:] () from /usr/lib/libgnustep-base.so.1.26
#2  0x00007ffff7589c24 in +[NSException raise:format:] () from /usr/lib/libgnustep-base.so.1.26
#3  0x00007ffff7645eb3 in +[NSString stringWithString:] () from /usr/lib/libgnustep-base.so.1.26
#4  0x00007ffff6d38187 in +[NGMailAddressParser sanitizeMailAddresses:] (self=<optimized out>, _cmd=<optimized out>, originalAddress=0x0) at NGMailAddressParser.m:387
#5  0x00007ffff6d37b1e in +[NGMailAddressParser mailAddressParserWithString:] (self=<optimized out>, _cmd=<optimized out>, _string=0x0) at NGMailAddressParser.m:364
#6  0x00007ffff214399e in -[UIxMailView shouldAskReceipt] (self=0x555556191ba0, _cmd=<optimized out>) at UIxMailView.m:721
#7  0x00007ffff2141c0f in -[UIxMailView defaultAction] (self=0x555556191ba0, _cmd=<optimized out>) at UIxMailView.m:341
#8  0x00007ffff23553a7 in -[UIxComponent performActionNamed:] (self=0x555556191ba0, _cmd=<optimized out>, _actionName=0x555555970d20) at UIxComponent.m:814
#9  0x00007ffff7be46f9 in -[SoActionInvocation callOnObject:withPositionalParametersWhenNotNil:inContext:] (self=0x555555e07ce0, _cmd=<optimized out>, _client=0x555555e9dce0, _positionalArgs=0x0, 
    _ctx=0x555555d708a0) at SoActionInvocation.m:300
#10 0x00007ffff7bdfa6a in -[SoObjectMethodDispatcher dispatchInContext:] (self=0x555555d75bc0, _cmd=<optimized out>, _ctx=0x555555d708a0) at SoObjectMethodDispatcher.m:191
#11 0x00007ffff7be204c in -[SoObjectRequestHandler handleRequest:inContext:session:application:] (self=0x5555556f2950, _cmd=<optimized out>, _rq=<optimized out>, _ctx=0x555555d708a0, _sn=<optimized out>, 
    app=<optimized out>) at SoObjectRequestHandler.m:584
#12 0x00007ffff7b76b2f in -[WORequestHandler handleRequest:] (self=0x5555556f2950, _cmd=<optimized out>, _request=0x55555611a810) at WORequestHandler.m:237
#13 0x00007ffff7b3dcad in -[WOCoreApplication dispatchRequest:usingHandler:] (self=0x5555559bcb00, _cmd=<optimized out>, _request=0x55555611a810, handler=0x5555556f2950) at WOCoreApplication.m:712
#14 0x000055555555d486 in -[SOGo dispatchRequest:] (self=0x5555559bcb00, _cmd=<optimized out>, _request=0x55555611a810) at SOGo.m:584
#15 0x00007ffff7bd20ff in -[WOHttpTransaction _run] (self=0x555555e66c10, _cmd=<optimized out>) at WOHttpTransaction.m:566
#16 0x00007ffff7bd367a in -[WOHttpTransaction run] (self=0x555555e66c10, _cmd=<optimized out>) at WOHttpTransaction.m:619
#17 0x00007ffff7bce6b4 in -[WOHttpAdaptor runConnection:] (self=0x55555594f9d0, _cmd=<optimized out>, _socket=<optimized out>) at WOHttpAdaptor.m:373
#18 0x00007ffff7bcf5ab in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0x55555594f9d0, _cmd=<optimized out>, _connection=0x555556018260) at WOHttpAdaptor.m:407
#19 0x00007ffff7bcf8dc in -[WOHttpAdaptor _handleConnection:] (self=0x55555594f9d0, _cmd=<optimized out>, connection=0x555556018260) at WOHttpAdaptor.m:466
#20 0x00007ffff7bcf944 in -[WOHttpAdaptor acceptConnection:] (self=0x55555594f9d0, _cmd=<optimized out>, _notification=<optimized out>) at WOHttpAdaptor.m:527
#21 0x00007ffff75e1dc8 in -[NSNotificationCenter _postAndRelease:] () from /usr/lib/libgnustep-base.so.1.26
#22 0x00007ffff76fcb9d in -[GSRunLoopCtxt pollUntil:within:] () from /usr/lib/libgnustep-base.so.1.26
#23 0x00007ffff7629e99 in -[NSRunLoop acceptInputForMode:beforeDate:] () from /usr/lib/libgnustep-base.so.1.26
#24 0x00007ffff7629c1c in -[NSRunLoop runMode:beforeDate:] () from /usr/lib/libgnustep-base.so.1.26
#25 0x00007ffff7b3f0a2 in -[WOCoreApplication run] (self=0x5555559bcb00, _cmd=<optimized out>) at WOCoreApplication.m:584
#26 0x000055555555ce9d in -[SOGo run] (self=0x5555559bcb00, _cmd=<optimized out>) at SOGo.m:337
#27 0x00007ffff7b63dc2 in WOApplicationMain (_appClassName=_appClassName@entry=0x5555555641e0 <_OBJC_INSTANCE_0.11863>, argc=argc@entry=13, argv=argv@entry=0x7fffffffec38) at WOApplicationMain.m:42
#28 0x00007ffff7b802c2 in WOWatchDogApplicationMain (appName=0x5555555641e0 <_OBJC_INSTANCE_0.11863>, argc=13, argv=0x7fffffffec38) at WOWatchDogApplicationMain.m:1049
#29 0x000055555555b121 in main (argc=13, argv=0x7fffffffec38, env=<optimized out>) at sogod.m:51

backtrace-sogod-tom.sawyer.txt (4,267 bytes)   
ludovic

ludovic

2019-01-30 16:02

administrator   ~0013292

Install the SOPE debugging symbols before producing your stack trace.

tom.sawyer

tom.sawyer

2019-01-30 17:00

reporter  

backtrace-sogod-tom.sawyer-with-sope-dbg.txt (4,266 bytes)   
#0  0x00007ffff7589fb0 in -[NSException raise] () from /usr/lib/libgnustep-base.so.1.26
#1  0x00007ffff7588f8d in +[NSException raise:format:arguments:] () from /usr/lib/libgnustep-base.so.1.26
#2  0x00007ffff7589c24 in +[NSException raise:format:] () from /usr/lib/libgnustep-base.so.1.26
#3  0x00007ffff7645eb3 in +[NSString stringWithString:] () from /usr/lib/libgnustep-base.so.1.26
#4  0x00007ffff6d39187 in +[NGMailAddressParser sanitizeMailAddresses:] (self=<optimized out>, _cmd=<optimized out>, originalAddress=0x0) at NGMailAddressParser.m:387
#5  0x00007ffff6d38b1e in +[NGMailAddressParser mailAddressParserWithString:] (self=<optimized out>, _cmd=<optimized out>, _string=0x0) at NGMailAddressParser.m:364
#6  0x00007ffff214499e in -[UIxMailView shouldAskReceipt] (self=0x555555eb61b0, _cmd=<optimized out>) at UIxMailView.m:721
#7  0x00007ffff2142c0f in -[UIxMailView defaultAction] (self=0x555555eb61b0, _cmd=<optimized out>) at UIxMailView.m:341
#8  0x00007ffff23563a7 in -[UIxComponent performActionNamed:] (self=0x555555eb61b0, _cmd=<optimized out>, _actionName=0x555555970d20) at UIxComponent.m:814
#9  0x00007ffff7be46f9 in -[SoActionInvocation callOnObject:withPositionalParametersWhenNotNil:inContext:] (self=0x555555ea55a0, _cmd=<optimized out>, _client=0x555555e09c30, _positionalArgs=0x0, 
    _ctx=0x555555875f00) at SoActionInvocation.m:300
#10 0x00007ffff7bdfa6a in -[SoObjectMethodDispatcher dispatchInContext:] (self=0x555555e9a460, _cmd=<optimized out>, _ctx=0x555555875f00) at SoObjectMethodDispatcher.m:191
#11 0x00007ffff7be204c in -[SoObjectRequestHandler handleRequest:inContext:session:application:] (self=0x5555556f2950, _cmd=<optimized out>, _rq=<optimized out>, _ctx=0x555555875f00, _sn=<optimized out>, 
    app=<optimized out>) at SoObjectRequestHandler.m:584
#12 0x00007ffff7b76b2f in -[WORequestHandler handleRequest:] (self=0x5555556f2950, _cmd=<optimized out>, _request=0x555555eb8950) at WORequestHandler.m:237
#13 0x00007ffff7b3dcad in -[WOCoreApplication dispatchRequest:usingHandler:] (self=0x5555559bcb00, _cmd=<optimized out>, _request=0x555555eb8950, handler=0x5555556f2950) at WOCoreApplication.m:712
#14 0x000055555555d486 in -[SOGo dispatchRequest:] (self=0x5555559bcb00, _cmd=<optimized out>, _request=0x555555eb8950) at SOGo.m:584
#15 0x00007ffff7bd20ff in -[WOHttpTransaction _run] (self=0x555555f1a0a0, _cmd=<optimized out>) at WOHttpTransaction.m:566
#16 0x00007ffff7bd367a in -[WOHttpTransaction run] (self=0x555555f1a0a0, _cmd=<optimized out>) at WOHttpTransaction.m:619
#17 0x00007ffff7bce6b4 in -[WOHttpAdaptor runConnection:] (self=0x55555594f9d0, _cmd=<optimized out>, _socket=<optimized out>) at WOHttpAdaptor.m:373
#18 0x00007ffff7bcf5ab in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0x55555594f9d0, _cmd=<optimized out>, _connection=0x555555da6b10) at WOHttpAdaptor.m:407
#19 0x00007ffff7bcf8dc in -[WOHttpAdaptor _handleConnection:] (self=0x55555594f9d0, _cmd=<optimized out>, connection=0x555555da6b10) at WOHttpAdaptor.m:466
#20 0x00007ffff7bcf944 in -[WOHttpAdaptor acceptConnection:] (self=0x55555594f9d0, _cmd=<optimized out>, _notification=<optimized out>) at WOHttpAdaptor.m:527
#21 0x00007ffff75e1dc8 in -[NSNotificationCenter _postAndRelease:] () from /usr/lib/libgnustep-base.so.1.26
#22 0x00007ffff76fcb9d in -[GSRunLoopCtxt pollUntil:within:] () from /usr/lib/libgnustep-base.so.1.26
#23 0x00007ffff7629e99 in -[NSRunLoop acceptInputForMode:beforeDate:] () from /usr/lib/libgnustep-base.so.1.26
#24 0x00007ffff7629c1c in -[NSRunLoop runMode:beforeDate:] () from /usr/lib/libgnustep-base.so.1.26
#25 0x00007ffff7b3f0a2 in -[WOCoreApplication run] (self=0x5555559bcb00, _cmd=<optimized out>) at WOCoreApplication.m:584
#26 0x000055555555ce9d in -[SOGo run] (self=0x5555559bcb00, _cmd=<optimized out>) at SOGo.m:337
#27 0x00007ffff7b63dc2 in WOApplicationMain (_appClassName=_appClassName@entry=0x5555555641e0 <_OBJC_INSTANCE_0.11863>, argc=argc@entry=13, argv=argv@entry=0x7fffffffec38) at WOApplicationMain.m:42
#28 0x00007ffff7b802c2 in WOWatchDogApplicationMain (appName=0x5555555641e0 <_OBJC_INSTANCE_0.11863>, argc=13, argv=0x7fffffffec38) at WOWatchDogApplicationMain.m:1049
#29 0x000055555555b121 in main (argc=13, argv=0x7fffffffec38, env=<optimized out>) at sogod.m:51
tom.sawyer

tom.sawyer

2019-01-30 17:00

reporter   ~0013293

@ludovic: attached a new backtrace with SOPE debug symbols installed, but trace is identical to my previous backtrace.
All call addresses were resolved already in previous trace, what additional information did you expect from SOPE debug symbols installed?

ludovic

ludovic

2019-01-31 08:29

administrator   ~0013294

Attach the EML version (zip it first) to this ticket that generates that exception. If it's a relatively private message, send it to me privately.

wally

wally

2019-01-31 15:10

reporter   ~0013296

All emails do it for me, I've attached two smaller examples (which both cause it).

wally

wally

2019-01-31 15:10

reporter  

64379.eml (4,052 bytes)
wally

wally

2019-01-31 15:10

reporter  

64395.eml (1,870 bytes)
wally

wally

2019-01-31 15:13

reporter   ~0013297

Sorry - noticed MacOS extracted the .zip :-(
Re-attached with both in a zip.

wally

wally

2019-01-31 15:13

reporter  

ludovic

ludovic

2019-01-31 15:16

administrator   ~0013298

Both emails display well here.

Have you compiled SOGo / SOPE yourself?

If you have installed everything from packages, show us the FULL LIST of SOPE and SOGo packages.

wally

wally

2019-01-31 15:27

reporter   ~0013299

tom.sawyer is seeing the issue on Arch Linux, I can't comment on whether his install is from packages or not.

Mine is on Debian Buster, using official Debian repo packages - I've attached a .txt with a full dpkg -l output.

wally

wally

2019-01-31 15:28

reporter  

reproducable-deb-packages.txt (132,063 bytes)   
errol:~$ dpkg -l
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                            Version                             Architecture Description
+++-===============================-===================================-============-===============================================================================
rc  acl                             2.2.52-3+b1                         amd64        Access control list utilities
ii  acpi-support-base               0.142-8                             all          scripts for handling base ACPI events such as the power button
ii  acpid                           1:2.0.31-1                          amd64        Advanced Configuration and Power Interface event daemon
ii  adduser                         3.118                               all          add and remove users and groups
ii  adwaita-icon-theme              3.30.1-1                            all          default icon theme of GNOME
ii  apache2                         2.4.37-1                            amd64        Apache HTTP Server
ii  apache2-bin                     2.4.37-1                            amd64        Apache HTTP Server (modules and other binary files)
ii  apache2-data                    2.4.37-1                            all          Apache HTTP Server (common files)
ii  apache2-suexec-pristine         2.4.37-1                            amd64        Apache HTTP Server standard suexec program for mod_suexec
ii  apache2-utils                   2.4.37-1                            amd64        Apache HTTP Server (utility programs for web servers)
ii  apparmor                        2.13.2-3                            amd64        user-space parser utility for AppArmor
ii  apt                             1.8.0~alpha3.1                      amd64        commandline package manager
ii  apt-listchanges                 3.18                                all          package change history notification tool
ii  apt-transport-https             1.8.0~alpha3.1                      all          transitional package for https support
ii  apt-utils                       1.8.0~alpha3.1                      amd64        package management related utility programs
ii  apt-xapian-index                0.49                                all          maintenance and search tools for a Xapian index of Debian packages
ii  aptitude                        0.8.11-6                            amd64        terminal-based package manager
ii  aptitude-common                 0.8.11-6                            all          architecture independent files for the aptitude package manager
ii  at                              3.1.23-1                            amd64        Delayed job execution and batch processing
ii  at-spi2-core                    2.30.0-5                            amd64        Assistive Technology Service Provider Interface (dbus core)
ii  attr                            1:2.4.47-2+b2                       amd64        Utilities for manipulating filesystem extended attributes
ii  base-files                      10.1                                amd64        Debian base system miscellaneous files
ii  base-passwd                     3.5.45                              amd64        Debian base system master password and group files
ii  bash                            5.0-1                               amd64        GNU Bourne Again SHell
ii  bash-completion                 1:2.8-5                             all          programmable completion for the bash shell
ii  bc                              1.07.1-2+b1                         amd64        GNU bc arbitrary precision calculator language
ii  bcrelay                         1.4.0-11+b1                         amd64        Broadcast relay daemon
ii  bind9-doc                       1:9.11.5.P1+dfsg-1                  all          Documentation for BIND
ii  bind9-host                      1:9.11.5.P1+dfsg-1                  amd64        DNS lookup utility (deprecated)
ii  bind9utils                      1:9.11.5.P1+dfsg-1                  amd64        Utilities for BIND
ii  binutils                        2.31.1-11                           amd64        GNU assembler, linker and binary utilities
ii  binutils-common:amd64           2.31.1-11                           amd64        Common files for the GNU assembler, linker and binary utilities
ii  binutils-x86-64-linux-gnu       2.31.1-11                           amd64        GNU binary utilities, for x86-64-linux-gnu target
ii  bsdmainutils                    11.1.2+b1                           amd64        collection of more utilities from FreeBSD
ii  bsdutils                        1:2.33.1-0.1                        amd64        basic utilities from 4.4BSD-Lite
ii  buffer                          1.19-12+b1                          amd64        Buffering/reblocking program for tape backups, printing, etc.
ii  build-essential                 12.5                                amd64        Informational list of build-essential packages
ii  busybox                         1:1.27.2-3                          amd64        Tiny utilities for small and embedded systems
ii  bzip2                           1.0.6-9                             amd64        high-quality block-sorting file compressor - utilities
ii  ca-certificates                 20170717                            all          Common CA certificates
ii  ca-certificates-java            20180516                            all          Common CA certificates (JKS keystore)
ii  collectd                        5.8.1-1.2                           amd64        statistics collection and monitoring daemon
ii  collectd-core                   5.8.1-1.2                           amd64        statistics collection and monitoring daemon (core system)
ii  composer                        1.8.0-1                             all          dependency manager for PHP
ii  console-common                  0.7.90                              all          basic infrastructure for text console configuration
ii  console-data                    2:1.12-6                            all          keymaps, fonts, charset maps, fallback tables for 'kbd'.
ii  console-setup                   1.188                               all          console font and keymap setup program
ii  console-setup-linux             1.188                               all          Linux specific part of console-setup
rc  console-tools                   1:0.2.3dbs-70                       amd64        Linux console and font utilities
rc  consolekit                      0.4.6-6                             amd64        framework for defining and tracking users, sessions and seats
ii  coreutils                       8.30-1                              amd64        GNU core utilities
ii  cpio                            2.12+dfsg-6                         amd64        GNU cpio -- a program to manage archives of files
ii  cpp                             4:8.2.0-2                           amd64        GNU C preprocessor (cpp)
ii  cpp-4.3                         4.3.5-4                             amd64        The GNU C preprocessor
ii  cpp-4.4                         4.4.7-2                             amd64        GNU C preprocessor
ii  cpp-4.9                         4.9.2-10                            amd64        GNU C preprocessor
ii  cpp-6                           6.3.0-18+deb9u1                     amd64        GNU C preprocessor
ii  cpp-8                           8.2.0-14                            amd64        GNU C preprocessor
ii  cron                            3.0pl1-130                          amd64        process scheduling daemon
ii  dash                            0.5.10.2-5                          amd64        POSIX-compliant shell
ii  dbus                            1.12.12-1                           amd64        simple interprocess messaging system (daemon and utilities)
ii  dbus-user-session               1.12.12-1                           amd64        simple interprocess messaging system (systemd --user integration)
ii  dc                              1.07.1-2+b1                         amd64        GNU dc arbitrary precision reverse-polish calculator
ii  dconf-gsettings-backend:amd64   0.30.1-2                            amd64        simple configuration storage system - GSettings back-end
ii  dconf-service                   0.30.1-2                            amd64        simple configuration storage system - D-Bus service
ii  debconf                         1.5.70                              all          Debian configuration management system
ii  debconf-i18n                    1.5.70                              all          full internationalization support for debconf
ii  debian-archive-keyring          2018.1                              all          GnuPG archive keys of the Debian archive
ii  debian-faq                      8.1                                 all          Debian Frequently Asked Questions
ii  debianutils                     4.8.6                               amd64        Miscellaneous utilities specific to Debian
ii  default-jre-headless            2:1.11-71                           amd64        Standard Java or Java compatible Runtime (headless)
rc  dhcp3-client                    4.1.1-P1-15+squeeze8                all          ISC DHCP server (transitional package)
rc  dhcp3-server                    4.1.1-P1-15+squeeze8                all          ISC DHCP server (transitional package)
ii  dictionaries-common             1.28.1                              all          spelling dictionaries - common utilities
ii  diff                            1:3.0-1                             all          dummy transitional package for diff -> diffutils
ii  diffutils                       1:3.6-1                             amd64        File comparison utilities
ii  dirmngr                         2.2.12-1                            amd64        GNU privacy guard - network certificate management service
ii  discover                        2.1.2-8                             amd64        hardware identification system
ii  discover-data                   2.2013.01.11                        all          Data lists for Discover hardware detection system
ii  distro-info-data                0.39                                all          information about the distributions' releases (data files)
ii  dlint                           1.4.0-7                             all          Checks dns zone information using nameserver lookups
ii  dmeventd                        2:1.02.155-1                        amd64        Linux Kernel Device Mapper event daemon
ii  dmidecode                       3.2-1                               amd64        SMBIOS/DMI table decoder
ii  dmsetup                         2:1.02.155-1                        amd64        Linux Kernel Device Mapper userspace library
ii  dnsutils                        1:9.11.5.P1+dfsg-1                  amd64        Clients provided with BIND
ii  doc-debian                      6.4                                 all          Debian Project documentation and other documents
ii  doc-linux-text                  2008.08-1                           all          Linux HOWTOs and FAQs in ASCII format
rc  docutils-common                 0.13.1+dfsg-2                       all          text processing system for reStructuredText - common data
ii  dosfstools                      4.1-2                               amd64        utilities for making and checking MS-DOS FAT filesystems
ii  dpkg                            1.19.2                              amd64        Debian package management system
ii  dpkg-dev                        1.19.2                              all          Debian package development tools
ii  dvd+rw-tools                    7.1-14                              amd64        DVD+-RW/R tools
ii  e2fslibs:amd64                  1.44.5-1                            amd64        transitional package
ii  e2fsprogs                       1.44.5-1                            amd64        ext2/ext3/ext4 file system utilities
ii  e2fsprogs-l10n                  1.44.5-1                            all          ext2/ext3/ext4 file system utilities - translations
ii  ed                              1.15-1                              amd64        classic UNIX line editor
ii  eject                           2.1.5+deb1+cvs20081104-13.2         amd64        ejects CDs and operates CD-Changers under Linux
ii  emacsen-common                  3.0.4                               all          Common facilities for all emacsen
ii  ethtool                         1:4.19-1                            amd64        display or change Ethernet device settings
ii  exim4                           4.92~RC4-3                          all          metapackage to ease Exim MTA (v4) installation
ii  exim4-base                      4.92~RC4-3                          amd64        support files for all Exim MTA (v4) packages
ii  exim4-config                    4.92~RC4-3                          all          configuration for the Exim MTA (v4)
ii  exim4-daemon-light              4.92~RC4-3                          amd64        lightweight Exim MTA (v4) daemon
ii  extlinux                        3:6.04~git20171011.af7e95c3+dfsg1-6 amd64        collection of bootloaders (Linux ext2/ext3/ext4, btrfs, and xfs bootloader)
ii  fakeroot                        1.23-1                              amd64        tool for simulating superuser privileges
ii  fdisk                           2.33.1-0.1                          amd64        collection of partitioning utilities
ii  file                            1:5.35-2                            amd64        Recognize the type of data in a file using "magic" numbers
ii  findutils                       4.6.0+git+20181018-1                amd64        utilities for finding files--find, xargs
ii  firmware-linux-free             3.4                                 all          Binary firmware for various drivers in the Linux kernel
ii  fontconfig                      2.13.1-2                            amd64        generic font configuration library - support binaries
ii  fontconfig-config               2.13.1-2                            all          generic font configuration library - configuration
ii  fonts-dejavu-core               2.37-1                              all          Vera font family derivate with additional characters
ii  freeradius-common               3.0.17+dfsg-1                       all          FreeRADIUS common files
ii  freeradius-config               3.0.17+dfsg-1                       amd64        FreeRADIUS default config files
ii  freeradius-utils                3.0.17+dfsg-1                       amd64        FreeRADIUS client utilities
ii  ftp                             0.17-34                             amd64        classical file transfer client
ii  fuse                            2.9.9-1                             amd64        Filesystem in Userspace
ii  fuse-utils                      2.9.0-2+deb7u2                      all          Filesystem in Userspace (transitional package)
ii  g++                             4:8.2.0-2                           amd64        GNU C++ compiler
ii  g++-4.4                         4.4.7-2                             amd64        GNU C++ compiler
ii  g++-4.9                         4.9.2-10                            amd64        GNU C++ compiler
ii  g++-8                           8.2.0-14                            amd64        GNU C++ compiler
ii  gawk                            1:4.2.1+dfsg-1                      amd64        GNU awk, a pattern scanning and processing language
ii  gcc                             4:8.2.0-2                           amd64        GNU C compiler
ii  gcc-4.3-base                    4.3.5-4                             amd64        The GNU Compiler Collection (base package)
ii  gcc-4.4                         4.4.7-2                             amd64        GNU C compiler
ii  gcc-4.4-base:amd64              4.4.7-2                             amd64        GCC, the GNU Compiler Collection (base package)
ii  gcc-4.9                         4.9.2-10                            amd64        GNU C compiler
ii  gcc-4.9-base:amd64              4.9.2-10                            amd64        GCC, the GNU Compiler Collection (base package)
ii  gcc-6                           6.3.0-18+deb9u1                     amd64        GNU C compiler
ii  gcc-6-base:amd64                6.3.0-18+deb9u1                     amd64        GCC, the GNU Compiler Collection (base package)
ii  gcc-7-base:amd64                7.4.0-2                             amd64        GCC, the GNU Compiler Collection (base package)
ii  gcc-8                           8.2.0-14                            amd64        GNU C compiler
ii  gcc-8-base:amd64                8.2.0-14                            amd64        GCC, the GNU Compiler Collection (base package)
ii  gdb                             8.2-1                               amd64        GNU Debugger
ii  genisoimage                     9:1.1.11-3+b2                       amd64        Creates ISO-9660 CD-ROM filesystem images
ii  geoip-database                  20181108-1                          all          IP lookup command line tools that use the GeoIP library (country database)
ii  gettext-base                    0.19.8.1-9                          amd64        GNU Internationalization utilities for the base system
ii  git                             1:2.20.1-1                          amd64        fast, scalable, distributed revision control system
ii  git-man                         1:2.20.1-1                          all          fast, scalable, distributed revision control system (manual pages)
ii  glib-networking:amd64           2.58.0-2                            amd64        network-related giomodules for GLib
ii  glib-networking-common          2.58.0-2                            all          network-related giomodules for GLib - data files
ii  glib-networking-services        2.58.0-2                            amd64        network-related giomodules for GLib - D-Bus services
ii  gnupg                           2.2.12-1                            all          GNU privacy guard - a free PGP replacement
rc  gnupg-agent                     2.2.12-1                            all          GNU privacy guard - cryptographic agent (dummy transitional package)
ii  gnupg-curl                      1.4.18-7+deb8u1                     amd64        GNU privacy guard - a free PGP replacement (cURL)
ii  gnupg-l10n                      2.2.12-1                            all          GNU privacy guard - localization files
ii  gnupg-utils                     2.2.12-1                            amd64        GNU privacy guard - utility programs
ii  gnupg2                          2.2.12-1                            all          GNU privacy guard - a free PGP replacement (dummy transitional package)
ii  gnustep-base-common             1.26.0-2                            all          GNUstep Base library - common files
ii  gnustep-base-runtime            1.26.0-2                            amd64        GNUstep Base library - daemons and tools
ii  gnustep-common                  2.7.0-4                             amd64        Common files for the core GNUstep environment
ii  gpg                             2.2.12-1                            amd64        GNU Privacy Guard -- minimalist public key operations
ii  gpg-agent                       2.2.12-1                            amd64        GNU privacy guard - cryptographic agent
ii  gpg-wks-client                  2.2.12-1                            amd64        GNU privacy guard - Web Key Service client
ii  gpg-wks-server                  2.2.12-1                            amd64        GNU privacy guard - Web Key Service server
ii  gpgconf                         2.2.12-1                            amd64        GNU privacy guard - core configuration utilities
ii  gpgsm                           2.2.12-1                            amd64        GNU privacy guard - S/MIME version
ii  gpgv                            2.2.12-1                            amd64        GNU privacy guard - signature verification tool
ii  grep                            3.3-1                               amd64        GNU grep, egrep and fgrep
ii  groff-base                      1.22.4-2                            amd64        GNU troff text-formatting system (base system components)
ii  growisofs                       7.1-14                              amd64        DVD+-RW/R recorder
ii  grub                            0.97-64                             amd64        GRand Unified Bootloader (dummy package)
ii  grub-common                     2.02+dfsg1-10                       amd64        GRand Unified Bootloader (common files)
ii  grub-pc                         2.02+dfsg1-10                       amd64        GRand Unified Bootloader, version 2 (PC/BIOS version)
ii  grub-pc-bin                     2.02+dfsg1-10                       amd64        GRand Unified Bootloader, version 2 (PC/BIOS modules)
ii  grub2-common                    2.02+dfsg1-10                       amd64        GRand Unified Bootloader (common files for version 2)
ii  gsettings-desktop-schemas       3.28.1-1                            all          GSettings desktop-wide schemas
ii  gtk-update-icon-cache           3.24.4-1                            amd64        icon theme caching utility
ii  guile-2.2-libs:amd64            2.2.4+1-1                           amd64        Core Guile libraries
ii  gzip                            1.9-3                               amd64        GNU compression utilities
ii  hicolor-icon-theme              0.17-2                              all          default fallback theme for FreeDesktop.org icon themes
ii  host                            1:9.10.3.dfsg.P4-12.3+deb9u4        all          Transitional package
ii  hostname                        3.21                                amd64        utility to set/show the host name or domain name
ii  iamerican                       3.4.00-6                            all          American English dictionary for ispell (standard version)
ii  ibritish                        3.4.00-6                            all          British English dictionary for ispell (standard version)
ii  ienglish-common                 3.4.00-6                            all          Common files for British and American ispell dictionaries
ii  ifupdown                        0.8.32                              amd64        high level tools to configure network interfaces
ii  info                            6.5.0.dfsg.1-4+b1                   amd64        Standalone GNU Info documentation browser
ii  init                            1.56+nmu1                           amd64        metapackage ensuring an init system is installed
ii  init-system-helpers             1.56+nmu1                           all          helper tools for all init systems
ii  initramfs-tools                 0.132                               all          generic modular initramfs generator (automation)
ii  initramfs-tools-core            0.132                               all          generic modular initramfs generator (core tools)
ii  initscripts                     2.93-3                              amd64        scripts for initializing and shutting down the system
ii  insserv                         1.18.0-1                            amd64        boot sequence organizer using LSB init.d script dependency information
ii  install-info                    6.5.0.dfsg.1-4+b1                   amd64        Manage installed documentation in info format
ii  installation-report             2.69                                all          system installation report
ii  intel-cmt-cat                   2.1.0-1                             amd64        Intel cache monitoring and allocation technology config tool
ii  iproute                         1:4.9.0-1+deb9u1                    all          transitional dummy package for iproute2
ii  iproute2                        4.20.0-2                            amd64        networking and traffic control tools
ii  iptables                        1.8.2-3                             amd64        administration tools for packet filtering and NAT
ii  iputils-ping                    3:20180629-2                        amd64        Tools to test the reachability of network hosts
ii  irqbalance                      1.5.0-2                             amd64        Daemon to balance interrupts for SMP systems
rc  isc-dhcp-client                 4.1.1-P1-15+squeeze8                amd64        ISC DHCP client
rc  isc-dhcp-server                 4.1.1-P1-15+squeeze8                amd64        ISC DHCP server for automatic IP address assignment
ii  iso-codes                       4.1-1                               all          ISO language, territory, currency, script codes and their translations
ii  isolinux                        3:6.04~git20171011.af7e95c3+dfsg1-6 all          collection of bootloaders (ISO 9660 bootloader)
ii  ispell                          3.4.00-6+b1                         amd64        International Ispell (an interactive spelling corrector)
ii  java-common                     0.71                                all          Base package for Java runtimes
ii  jsonlint                        1.7.1-1                             all          validating parser of JSON data structures
ii  kbd                             2.0.4-4                             amd64        Linux console font and keytable utilities
ii  keyboard-configuration          1.188                               all          system-wide keyboard preferences
rc  keyutils                        1.5.9-9                             amd64        Linux Key Management Utilities
ii  klibc-utils                     2.0.4-15                            amd64        small utilities built with klibc for early boot
ii  kmod                            25-2                                amd64        tools for managing Linux kernel modules
ii  krb5-locales                    1.17-1                              all          internationalization support for MIT Kerberos
ii  laptop-detect                   0.16                                all          system chassis type checker
ii  less                            487-0.1+b1                          amd64        pager program similar to more
ii  libacl1:amd64                   2.2.52-3+b1                         amd64        Access control list shared library
ii  libaio1:amd64                   0.3.111-1                           amd64        Linux kernel AIO access library - shared library
ii  libalgorithm-diff-perl          1.19.03-2                           all          module to find differences between files
ii  libalgorithm-diff-xs-perl       0.04-5+b1                           amd64        module to find differences between files (XS accelerated)
ii  libalgorithm-merge-perl         0.08-3                              all          Perl module for three-way merge of textual data
ii  libapache2-mod-fcgid            1:2.3.9-4                           amd64        FastCGI interface module for Apache 2
rc  libapache2-mod-php7.0           7.0.33-0+deb9u1                     amd64        server-side, HTML-embedded scripting language (Apache 2 module)
ii  libapache2-mod-php7.3           7.3.1-1                             amd64        server-side, HTML-embedded scripting language (Apache 2 module)
ii  libapparmor1:amd64              2.13.2-3                            amd64        changehat AppArmor library
ii  libapr1:amd64                   1.6.5-1+b1                          amd64        Apache Portable Runtime Library
ii  libaprutil1:amd64               1.6.1-3+b1                          amd64        Apache Portable Runtime Utility Library
ii  libaprutil1-dbd-sqlite3:amd64   1.6.1-3+b1                          amd64        Apache Portable Runtime Utility Library - SQLite3 Driver
ii  libaprutil1-ldap:amd64          1.6.1-3+b1                          amd64        Apache Portable Runtime Utility Library - LDAP Driver
rc  libapt-inst1.5:amd64            1.0.9.8.3                           amd64        deb package format runtime library
ii  libapt-inst2.0:amd64            1.8.0~alpha3.1                      amd64        deb package format runtime library
rc  libapt-pkg4.12:amd64            1.0.9.8.3                           amd64        package management runtime library
ii  libapt-pkg5.0:amd64             1.8.0~alpha3.1                      amd64        package management runtime library
ii  libargon2-1:amd64               0~20171227-0.1                      amd64        memory-hard hashing function - runtime library
ii  libasan1:amd64                  4.9.2-10                            amd64        AddressSanitizer -- a fast memory error detector
ii  libasan3:amd64                  6.3.0-18+deb9u1                     amd64        AddressSanitizer -- a fast memory error detector
ii  libasan5:amd64                  8.2.0-14                            amd64        AddressSanitizer -- a fast memory error detector
ii  libasound2:amd64                1.1.7-2                             amd64        shared library for ALSA applications
ii  libasound2-data                 1.1.7-2                             all          Configuration files and profiles for ALSA drivers
ii  libassuan0:amd64                2.5.2-1                             amd64        IPC library for the GnuPG components
ii  libatasmart4:amd64              0.19-5                              amd64        ATA S.M.A.R.T. reading and parsing library
ii  libatk-bridge2.0-0:amd64        2.30.0-2                            amd64        AT-SPI 2 toolkit bridge - shared library
ii  libatk1.0-0:amd64               2.30.0-2                            amd64        ATK accessibility toolkit
ii  libatk1.0-data                  2.30.0-2                            all          Common files for the ATK accessibility toolkit
ii  libatomic1:amd64                8.2.0-14                            amd64        support library providing __atomic built-in functions
ii  libatspi2.0-0:amd64             2.30.0-5                            amd64        Assistive Technology Service Provider Interface - shared library
ii  libattr1:amd64                  1:2.4.47-2+b2                       amd64        Extended attribute shared library
ii  libaudit-common                 1:2.8.4-2                           all          Dynamic library for security auditing - common files
ii  libaudit1:amd64                 1:2.8.4-2                           amd64        Dynamic library for security auditing
ii  libauthen-sasl-perl             2.1600-1                            all          Authen::SASL - SASL Authentication framework
ii  libavahi-client3:amd64          0.7-4+b1                            amd64        Avahi client library
ii  libavahi-common-data:amd64      0.7-4+b1                            amd64        Avahi common data files
ii  libavahi-common3:amd64          0.7-4+b1                            amd64        Avahi common library
ii  libb-hooks-op-check-perl        0.22-1+b1                           amd64        Perl wrapper for OP check callbacks
ii  libbabeltrace1:amd64            1.5.6-2                             amd64        Babeltrace conversion libraries
ii  libbind9-140:amd64              1:9.10.3.dfsg.P4-12.3+deb9u4        amd64        BIND9 Shared Library used by BIND
ii  libbind9-161:amd64              1:9.11.5.P1+dfsg-1                  amd64        BIND9 Shared Library used by BIND
ii  libbind9-60                     1:9.7.3.dfsg-1~squeeze10            amd64        BIND9 Shared Library used by BIND
rc  libbind9-80                     1:9.8.4.dfsg.P1-6+nmu2+deb7u10      amd64        BIND9 Shared Library used by BIND
rc  libbind9-90                     1:9.9.5.dfsg-9+deb8u6               amd64        BIND9 Shared Library used by BIND
ii  libbinutils:amd64               2.31.1-11                           amd64        GNU binary utilities (private shared library)
ii  libblkid1:amd64                 2.33.1-0.1                          amd64        block device ID library
ii  libbluetooth3:amd64             5.50-1                              amd64        Library to use the BlueZ Linux Bluetooth stack
ii  libboost-iostreams1.42.0        1.42.0-4                            amd64        Boost.Iostreams Library
rc  libboost-iostreams1.49.0        1.49.0-3.2                          amd64        Boost.Iostreams Library
rc  libboost-iostreams1.55.0:amd64  1.55.0+dfsg-3                       amd64        Boost.Iostreams Library
ii  libboost-iostreams1.67.0:amd64  1.67.0-11                           amd64        Boost.Iostreams Library
ii  libboost-system1.67.0:amd64     1.67.0-11                           amd64        Operating system (e.g. diagnostics support) library
ii  libbrotli1:amd64                1.0.7-2                             amd64        library implementing brotli encoder and decoder (shared libraries)
ii  libbsd0:amd64                   0.9.1-1                             amd64        utility functions from BSD systems - shared library
ii  libburn4:amd64                  1.5.0-1                             amd64        library to provide CD/DVD/BD writing functions
ii  libbz2-1.0:amd64                1.0.6-9                             amd64        high-quality block-sorting file compressor library - runtime
ii  libc-ares2:amd64                1.14.0-1                            amd64        asynchronous name resolver
ii  libc-bin                        2.28-5                              amd64        GNU C Library: Binaries
ii  libc-dev-bin                    2.28-5                              amd64        GNU C Library: Development binaries
ii  libc-l10n                       2.28-5                              all          GNU C Library: localization files
ii  libc6:amd64                     2.28-5                              amd64        GNU C Library: Shared libraries
ii  libc6-dbg:amd64                 2.28-5                              amd64        GNU C Library: detached debugging symbols
ii  libc6-dev:amd64                 2.28-5                              amd64        GNU C Library: Development Libraries and Header Files
ii  libc6-i386                      2.28-5                              amd64        GNU C Library: 32-bit shared libraries for AMD64
ii  libcairo-gobject2:amd64         1.16.0-2                            amd64        Cairo 2D vector graphics library (GObject library)
ii  libcairo2:amd64                 1.16.0-2                            amd64        Cairo 2D vector graphics library
ii  libcap-ng0:amd64                0.7.9-2                             amd64        An alternate POSIX capabilities library
ii  libcap2:amd64                   1:2.25-1.2                          amd64        POSIX 1003.1e capabilities (library)
ii  libcap2-bin                     1:2.25-1.2                          amd64        POSIX 1003.1e capabilities (utilities)
ii  libcc1-0:amd64                  8.2.0-14                            amd64        GCC cc1 plugin for GDB
ii  libcilkrts5:amd64               7.4.0-2                             amd64        Intel Cilk Plus language extensions (runtime)
ii  libclone-perl                   0.41-1+b1                           amd64        module for recursively copying Perl datatypes
ii  libcloog-isl4:amd64             0.18.4-2                            amd64        Chunky Loop Generator (runtime library)
ii  libcollectdclient1              5.8.1-1.2                           amd64        client library for collectd's control interface
ii  libcolord2:amd64                1.4.3-4                             amd64        system service to manage device colour profiles -- runtime
ii  libcom-err2:amd64               1.44.5-1                            amd64        common error description library
ii  libcomerr2:amd64                1.44.5-1                            amd64        transitional package
ii  libconfig-inifiles-perl         3.000001-1                          all          read .ini-style configuration files
ii  libconfuse-common               3.2.2+dfsg-1                        all          Common files for libConfuse
ii  libconfuse2:amd64               3.2.2+dfsg-1                        amd64        Library for parsing configuration files
ii  libconsole                      1:0.2.3dbs-70                       amd64        Shared libraries for Linux console and font manipulation
ii  libconvert-asn1-perl            0.27-2                              all          Perl module for encoding and decoding ASN.1 data structures
ii  libcroco3:amd64                 0.6.12-3                            amd64        Cascading Style Sheet (CSS) parsing and manipulation toolkit
ii  libcrypt-passwdmd5-perl         1.3-10                              all          interoperable MD5-based crypt() for perl
ii  libcrypt2:amd64                 1:4.1.1-1                           amd64        libcrypt shared library
ii  libcryptsetup12:amd64           2:2.0.6-1                           amd64        disk encryption support - shared library
ii  libcups2:amd64                  2.2.10-3                            amd64        Common UNIX Printing System(tm) - Core library
ii  libcurl3-gnutls:amd64           7.63.0-1                            amd64        easy-to-use client-side URL transfer library (GnuTLS flavour)
ii  libcurl4:amd64                  7.63.0-1                            amd64        easy-to-use client-side URL transfer library (OpenSSL flavour)
rc  libcwidget3:amd64               0.5.17-2                            amd64        high-level terminal interface library for C++ (runtime files)
ii  libcwidget3v5:amd64             0.5.17-11                           amd64        high-level terminal interface library for C++ (runtime files)
ii  libdata-dump-perl               1.23-1                              all          Perl module to help dump data structures
ii  libdatrie1:amd64                0.2.12-1                            amd64        Double-array trie library
ii  libdb4.6                        4.6.21-16                           amd64        Berkeley v4.6 Database Libraries [runtime]
ii  libdb4.7                        4.7.25-9                            amd64        Berkeley v4.7 Database Libraries [runtime]
ii  libdb4.8                        4.8.30-2                            amd64        Berkeley v4.8 Database Libraries [runtime]
ii  libdb5.1:amd64                  5.1.29-5                            amd64        Berkeley v5.1 Database Libraries [runtime]
ii  libdb5.3:amd64                  5.3.28+dfsg1-0.2                    amd64        Berkeley v5.3 Database Libraries [runtime]
ii  libdbd-mysql-perl:amd64         4.050-1                             amd64        Perl5 database interface to the MariaDB/MySQL database
ii  libdbi-perl:amd64               1.642-1+b1                          amd64        Perl Database Interface (DBI)
ii  libdbi1:amd64                   0.9.0-5                             amd64        DB Independent Abstraction Layer for C -- shared library
ii  libdbus-1-3:amd64               1.12.12-1                           amd64        simple interprocess messaging system (library)
ii  libdconf1:amd64                 0.30.1-2                            amd64        simple configuration storage system - runtime library
ii  libdebconfclient0:amd64         0.246                               amd64        Debian Configuration Management System (C-implementation library)
ii  libdevel-callchecker-perl       0.007-2+b2                          amd64        custom op checking attached to subroutines
ii  libdevmapper-event1.02.1:amd64  2:1.02.155-1                        amd64        Linux Kernel Device Mapper event support library
ii  libdevmapper1.02.1:amd64        2:1.02.155-1                        amd64        Linux Kernel Device Mapper userspace library
ii  libdigest-hmac-perl             1.03+dfsg-2                         all          module for creating standard message integrity checks
ii  libdiscover2                    2.1.2-8                             amd64        hardware identification library
rc  libdns100                       1:9.9.5.dfsg-9+deb8u6               amd64        DNS Shared Library used by BIND
ii  libdns1104:amd64                1:9.11.5.P1+dfsg-1                  amd64        DNS Shared Library used by BIND
ii  libdns162:amd64                 1:9.10.3.dfsg.P4-12.3+deb9u4        amd64        DNS Shared Library used by BIND
ii  libdns69                        1:9.7.3.dfsg-1~squeeze10            amd64        DNS Shared Library used by BIND
rc  libdns88                        1:9.8.4.dfsg.P1-6+nmu2+deb7u10      amd64        DNS Shared Library used by BIND
ii  libdpkg-perl                    1.19.2                              all          Dpkg perl modules
ii  libdw1:amd64                    0.175-2                             amd64        library that provides access to the DWARF debug information
ii  libdynaloader-functions-perl    0.003-1                             all          deconstructed dynamic C library loading
ii  libedit2:amd64                  3.1-20181209-1                      amd64        BSD editline and history libraries
ii  libelf1:amd64                   0.175-2                             amd64        library to read and write ELF files
ii  libencode-locale-perl           1.05-1                              all          utility to determine the locale encoding
ii  libepoxy0:amd64                 1.5.3-0.1                           amd64        OpenGL function pointer management library
rc  libept1                         1.0.4                               amd64        High-level library for managing Debian package information
rc  libept1.4.12:amd64              1.0.12.1                            amd64        High-level library for managing Debian package information
ii  liberror-perl                   0.17027-1                           all          Perl module for error/exception handling in an OO-ish way
ii  libesmtp6                       1.0.6-4.3                           amd64        LibESMTP SMTP client library
ii  libestr0:amd64                  0.1.10-2.1                          amd64        Helper functions for handling strings (lib)
ii  libevent-1.4-2                  1.4.13-stable-1                     amd64        An asynchronous event notification library
ii  libevent-2.1-6:amd64            2.1.8-stable-4                      amd64        Asynchronous event notification library
ii  libevent-core-2.1-6:amd64       2.1.8-stable-4                      amd64        Asynchronous event notification library (core)
ii  libevent-pthreads-2.1-6:amd64   2.1.8-stable-4                      amd64        Asynchronous event notification library (pthreads)
ii  libexpat1:amd64                 2.2.6-1                             amd64        XML parsing C library - runtime library
ii  libext2fs2:amd64                1.44.5-1                            amd64        ext2/ext3/ext4 file system libraries
ii  libfakeroot:amd64               1.23-1                              amd64        tool for simulating superuser privileges - shared libraries
ii  libfastjson4:amd64              0.99.8-2                            amd64        fast json library for C
ii  libfdisk1:amd64                 2.33.1-0.1                          amd64        fdisk partitioning library
rc  libffi5:amd64                   3.0.10-3                            amd64        Foreign Function Interface library runtime
ii  libffi6:amd64                   3.2.1-9                             amd64        Foreign Function Interface library runtime
ii  libfile-copy-recursive-perl     0.44-1                              all          Perl extension for recursively copying files and directories
ii  libfile-fcntllock-perl          0.22-3+b5                           amd64        Perl module for file locking with fcntl(2)
ii  libfile-listing-perl            6.04-1                              all          module to parse directory listings
ii  libfl2:amd64                    2.6.4-6.2                           amd64        SHARED library for flex (a fast lexical analyzer generator)
ii  libfont-afm-perl                1.20-2                              all          Font::AFM - Interface to Adobe Font Metrics files
ii  libfontconfig1:amd64            2.13.1-2                            amd64        generic font configuration library - runtime
ii  libfreeradius2                  2.2.5+dfsg-0.2                      amd64        FreeRADIUS shared library
ii  libfreeradius3                  3.0.17+dfsg-1                       amd64        FreeRADIUS shared library
ii  libfreetype6:amd64              2.9.1-3                             amd64        FreeType 2 font engine, shared library files
ii  libfribidi0:amd64               1.0.5-3.1                           amd64        Free Implementation of the Unicode BiDi algorithm
ii  libfstrm0:amd64                 0.4.0-1                             amd64        Frame Streams (fstrm) library
ii  libftdi1-2:amd64                1.4-1+b2                            amd64        Library to control and program the FTDI USB controllers
ii  libfuse2:amd64                  2.9.9-1                             amd64        Filesystem in Userspace (library)
ii  libgail-common:amd64            2.24.32-3                           amd64        GNOME Accessibility Implementation Library -- common modules
ii  libgail18:amd64                 2.24.32-3                           amd64        GNOME Accessibility Implementation Library -- shared libraries
ii  libganglia1                     3.6.0-7+b2                          amd64        cluster monitoring toolkit - shared libraries
ii  libgc1c2:amd64                  1:7.6.4-0.4                         amd64        conservative garbage collector for C and C++
ii  libgcc-4.9-dev:amd64            4.9.2-10                            amd64        GCC support library (development files)
ii  libgcc-6-dev:amd64              6.3.0-18+deb9u1                     amd64        GCC support library (development files)
ii  libgcc-8-dev:amd64              8.2.0-14                            amd64        GCC support library (development files)
ii  libgcc1:amd64                   1:8.2.0-14                          amd64        GCC support library
ii  libgcrypt11:amd64               1.5.0-5+deb7u4                      amd64        LGPL Crypto library - runtime library
ii  libgcrypt20:amd64               1.8.4-4                             amd64        LGPL Crypto library - runtime library
ii  libgdbm-compat4:amd64           1.18.1-2                            amd64        GNU dbm database routines (legacy support runtime version) 
ii  libgdbm3:amd64                  1.8.3-14                            amd64        GNU dbm database routines (runtime version)
ii  libgdbm6:amd64                  1.18.1-2                            amd64        GNU dbm database routines (runtime version) 
ii  libgdk-pixbuf2.0-0:amd64        2.38.0+dfsg-7                       amd64        GDK Pixbuf library
ii  libgdk-pixbuf2.0-bin            2.38.0+dfsg-7                       amd64        GDK Pixbuf library (thumbnailer)
ii  libgdk-pixbuf2.0-common         2.38.0+dfsg-7                       all          GDK Pixbuf library - data files
ii  libgeoip1:amd64                 1.6.12-1                            amd64        non-DNS IP-to-country resolver library
ii  libglib2.0-0:amd64              2.58.2-3                            amd64        GLib library of C routines
ii  libglib2.0-0-dbgsym:amd64       2.58.2-3                            amd64        debug symbols for libglib2.0-0
ii  libglib2.0-data                 2.58.2-3                            all          Common files for GLib library
ii  libgmp10:amd64                  2:6.1.2+dfsg-4                      amd64        Multiprecision arithmetic library
ii  libgmp3c2                       2:4.3.2+dfsg-1                      amd64        Multiprecision arithmetic library
ii  libgnustep-base1.26             1.26.0-2                            amd64        GNUstep Base library
ii  libgnustep-base1.26-dbgsym      1.26.0-2                            amd64        debug symbols for libgnustep-base1.26
ii  libgnutls-dane0:amd64           3.6.5-2                             amd64        GNU TLS library - DANE security support
rc  libgnutls-deb0-28:amd64         3.3.8-6+deb8u3                      amd64        GNU TLS library - main runtime library
ii  libgnutls26:amd64               2.12.20-8+deb7u5                    amd64        GNU TLS library - runtime library
ii  libgnutls30:amd64               3.6.5-2                             amd64        GNU TLS library - main runtime library
ii  libgomp1:amd64                  8.2.0-14                            amd64        GCC OpenMP (GOMP) support library
ii  libgoogle-perftools4:amd64      2.7-1                               amd64        libraries for CPU and heap analysis, plus an efficient thread-caching malloc
ii  libgpg-error-l10n               1.33-3                              all          library of error values and messages in GnuPG (localization files)
ii  libgpg-error0:amd64             1.33-3                              amd64        GnuPG development runtime library
ii  libgpgme11:amd64                1.12.0-4                            amd64        GPGME - GnuPG Made Easy (library)
ii  libgpm2:amd64                   1.20.7-5                            amd64        General Purpose Mouse - shared library
ii  libgps23:amd64                  3.17-5+b1                           amd64        Global Positioning System - library
ii  libgraphite2-3:amd64            1.3.13-7                            amd64        Font rendering engine for Complex Scripts -- library
ii  libgrpc++1:amd64                1.16.1-1                            amd64        high performance general RPC framework
ii  libgrpc6:amd64                  1.16.1-1                            amd64        high performance general RPC framework
ii  libgsasl7                       1.8.0-8+b2                          amd64        GNU SASL library
ii  libgssapi-krb5-2:amd64          1.17-1                              amd64        MIT Kerberos runtime libraries - krb5 GSS-API Mechanism
ii  libgssapi-perl                  0.28-3+b1                           amd64        Perl extension providing access to the GSSAPIv2 library
ii  libgssglue1:amd64               0.4-2+b2                            amd64        mechanism-switch gssapi library
ii  libgssrpc4:amd64                1.17-1                              amd64        MIT Kerberos runtime libraries - GSS enabled ONCRPC
ii  libgtk-3-0:amd64                3.24.4-1                            amd64        GTK+ graphical user interface library
ii  libgtk-3-bin                    3.24.4-1                            amd64        programs for the GTK+ graphical user interface library
ii  libgtk-3-common                 3.24.4-1                            all          common files for the GTK+ graphical user interface library
ii  libgtk2.0-0:amd64               2.24.32-3                           amd64        GTK+ graphical user interface library
ii  libgtk2.0-bin                   2.24.32-3                           amd64        programs for the GTK+ graphical user interface library
ii  libgtk2.0-common                2.24.32-3                           all          common files for the GTK+ graphical user interface library
ii  libharfbuzz0b:amd64             2.3.0-1                             amd64        OpenType text shaping engine (shared library)
ii  libhiredis0.14:amd64            0.14.0-3                            amd64        minimalistic C client library for Redis
rc  libhogweed2:amd64               2.7.1-5+deb8u1                      amd64        low level cryptographic library (public-key cryptos)
ii  libhogweed4:amd64               3.4.1~rc1-1                         amd64        low level cryptographic library (public-key cryptos)
ii  libhtml-form-perl               6.03-1                              all          module that represents an HTML form element
ii  libhtml-format-perl             2.12-1                              all          module for transforming HTML into various formats
ii  libhtml-parser-perl             3.72-3+b3                           amd64        collection of modules that parse HTML text documents
ii  libhtml-tagset-perl             3.20-3                              all          Data tables pertaining to HTML
ii  libhtml-tree-perl               5.07-2                              all          Perl module to represent and create HTML syntax trees
ii  libhttp-cookies-perl            6.04-1                              all          HTTP cookie jars
ii  libhttp-daemon-perl             6.01-1                              all          simple http server class
ii  libhttp-date-perl               6.02-1                              all          module of date conversion routines
ii  libhttp-message-perl            6.18-1                              all          perl interface to HTTP style messages
ii  libhttp-negotiate-perl          6.01-1                              all          implementation of content negotiation
ii  libi2c0:amd64                   4.1-1                               amd64        userspace I2C programming library
rc  libicu52:amd64                  52.1-8+deb8u3                       amd64        International Components for Unicode
ii  libicu63:amd64                  63.1-5                              amd64        International Components for Unicode
ii  libidn11:amd64                  1.33-2.2                            amd64        GNU Libidn library, implementation of IETF IDN specifications
ii  libidn2-0:amd64                 2.0.5-1                             amd64        Internationalized domain names (IDNA2008/TR46) library
ii  libio-html-perl                 1.001-1                             all          open an HTML file with automatic charset detection
ii  libio-socket-inet6-perl         2.72-2                              all          object interface for AF_INET6 domain sockets
ii  libio-socket-ssl-perl           2.060-3                             all          Perl module implementing object oriented interface to SSL sockets
ii  libip4tc0:amd64                 1.8.2-3                             amd64        netfilter libip4tc library
ii  libip6tc0:amd64                 1.8.2-3                             amd64        netfilter libip6tc library
ii  libipt2                         2.0-2                               amd64        Intel Processor Trace Decoder Library
ii  libiptc0:amd64                  1.8.2-3                             amd64        netfilter libiptc library
ii  libirs161:amd64                 1:9.11.5.P1+dfsg-1                  amd64        DNS Shared Library used by BIND
ii  libisc1100:amd64                1:9.11.5.P1+dfsg-1                  amd64        ISC Shared Library used by BIND
ii  libisc160:amd64                 1:9.10.3.dfsg.P4-12.3+deb9u4        amd64        ISC Shared Library used by BIND
ii  libisc62                        1:9.7.3.dfsg-1~squeeze10            amd64        ISC Shared Library used by BIND
rc  libisc84                        1:9.8.4.dfsg.P1-6+nmu2+deb7u10      amd64        ISC Shared Library used by BIND
rc  libisc95                        1:9.9.5.dfsg-9+deb8u6               amd64        ISC Shared Library used by BIND
ii  libisccc140:amd64               1:9.10.3.dfsg.P4-12.3+deb9u4        amd64        Command Channel Library used by BIND
ii  libisccc161:amd64               1:9.11.5.P1+dfsg-1                  amd64        Command Channel Library used by BIND
ii  libisccc60                      1:9.7.3.dfsg-1~squeeze10            amd64        Command Channel Library used by BIND
rc  libisccc80                      1:9.8.4.dfsg.P1-6+nmu2+deb7u10      amd64        Command Channel Library used by BIND
rc  libisccc90                      1:9.9.5.dfsg-9+deb8u6               amd64        Command Channel Library used by BIND
ii  libisccfg140:amd64              1:9.10.3.dfsg.P4-12.3+deb9u4        amd64        Config File Handling Library used by BIND
ii  libisccfg163:amd64              1:9.11.5.P1+dfsg-1                  amd64        Config File Handling Library used by BIND
ii  libisccfg62                     1:9.7.3.dfsg-1~squeeze10            amd64        Config File Handling Library used by BIND
rc  libisccfg82                     1:9.8.4.dfsg.P1-6+nmu2+deb7u10      amd64        Config File Handling Library used by BIND
rc  libisccfg90                     1:9.9.5.dfsg-9+deb8u6               amd64        Config File Handling Library used by BIND
ii  libisl10:amd64                  0.12.2-2                            amd64        manipulating sets and relations of integer points bounded by linear constraints
ii  libisl15:amd64                  0.18-4                              amd64        manipulating sets and relations of integer points bounded by linear constraints
ii  libisl19:amd64                  0.20-2                              amd64        manipulating sets and relations of integer points bounded by linear constraints
ii  libisoburn1:amd64               1.5.0-1                             amd64        library to handle creation and inspection of ISO-9660 file systems
ii  libisofs6:amd64                 1.5.0-1                             amd64        library to create ISO 9660 images
ii  libitm1:amd64                   8.2.0-14                            amd64        GNU Transactional Memory Library
ii  libjansson4:amd64               2.12-1                              amd64        C library for encoding, decoding and manipulating JSON data
rc  libjasper1:amd64                1.900.1-debian1-2.4+deb8u1          amd64        JasPer JPEG-2000 runtime library
ii  libjbig0:amd64                  2.1-3.1+b2                          amd64        JBIGkit libraries
ii  libjpeg62-turbo:amd64           1:1.5.2-2+b1                        amd64        libjpeg-turbo JPEG runtime library
rc  libjson-c2:amd64                0.11-4                              amd64        JSON manipulation library - shared library
ii  libjson-c3:amd64                0.12.1-1.3                          amd64        JSON manipulation library - shared library
ii  libjson-glib-1.0-0:amd64        1.4.4-2                             amd64        GLib JSON manipulation library
ii  libjson-glib-1.0-common         1.4.4-2                             all          GLib JSON manipulation library (common files)
ii  libjte1                         1.20-2+b1                           amd64        Jigdo Template Export - runtime library
ii  libk5crypto3:amd64              1.17-1                              amd64        MIT Kerberos runtime libraries - Crypto Library
ii  libkadm5clnt-mit7               1.8.3+dfsg-4squeeze6                amd64        MIT Kerberos runtime libraries - Administration Clients
ii  libkadm5srv-mit7                1.8.3+dfsg-4squeeze6                amd64        MIT Kerberos runtime libraries - KDC and Admin Server
ii  libkdb5-4                       1.8.3+dfsg-4squeeze6                amd64        MIT Kerberos runtime libraries - Kerberos database
ii  libkeyutils1:amd64              1.5.9-9.3                           amd64        Linux Key Management Utilities (library)
ii  libklibc                        2.0.4-15                            amd64        minimal libc subset for use with initramfs
ii  libkmod2:amd64                  25-2                                amd64        libkmod shared library
ii  libkrb5-3:amd64                 1.17-1                              amd64        MIT Kerberos runtime libraries
ii  libkrb5support0:amd64           1.17-1                              amd64        MIT Kerberos runtime libraries - Support library
ii  libksba8:amd64                  1.3.5-2                             amd64        X.509 and CMS support library
ii  libkyotocabinet16v5:amd64       1.2.76-4.2+b1                       amd64        Straightforward implementation of DBM - shared library
ii  liblasso3                       2.6.0-2+b2                          amd64        Library for Liberty Alliance and SAML protocols - runtime library
ii  liblcms2-2:amd64                2.9-3                               amd64        Little CMS 2 color management library
ii  libldap-2.4-2:amd64             2.4.47+dfsg-2                       amd64        OpenLDAP libraries
ii  libldap-common                  2.4.47+dfsg-2                       all          OpenLDAP common files for libraries
ii  liblmdb0:amd64                  0.9.22-1                            amd64        Lightning Memory-Mapped Database shared library
ii  liblocale-gettext-perl          1.07-3+b4                           amd64        module using libc functions for internationalization in Perl
ii  liblockfile-bin                 1.14-1.1                            amd64        support binaries for and cli utilities based on liblockfile
ii  liblockfile1:amd64              1.14-1.1                            amd64        NFS-safe locking library
rc  liblognorm1:amd64               1.0.1-3                             amd64        Log normalizing library
ii  liblognorm5:amd64               2.0.5-1                             amd64        log normalizing library
ii  liblsan0:amd64                  8.2.0-14                            amd64        LeakSanitizer -- a memory leak detector (runtime)
ii  libltdl7:amd64                  2.4.6-8                             amd64        System independent dlopen wrapper for GNU libtool
ii  liblua5.1-0:amd64               5.1.5-8.1+b2                        amd64        Shared library for the Lua interpreter version 5.1
ii  liblua5.2-0:amd64               5.2.4-1.1+b2                        amd64        Shared library for the Lua interpreter version 5.2
ii  liblua5.3-0:amd64               5.3.3-1.1                           amd64        Shared library for the Lua interpreter version 5.3
ii  liblvm2cmd2.03:amd64            2.03.02-1                           amd64        LVM2 command library
ii  liblwp-mediatypes-perl          6.02-1                              all          module to guess media type for a file or a URL
ii  liblwp-protocol-https-perl      6.07-2                              all          HTTPS driver for LWP::UserAgent
ii  liblwres141:amd64               1:9.10.3.dfsg.P4-12.3+deb9u4        amd64        Lightweight Resolver Library used by BIND
ii  liblwres161:amd64               1:9.11.5.P1+dfsg-1                  amd64        Lightweight Resolver Library used by BIND
ii  liblwres60                      1:9.7.3.dfsg-1~squeeze10            amd64        Lightweight Resolver Library used by BIND
rc  liblwres80                      1:9.8.4.dfsg.P1-6+nmu2+deb7u10      amd64        Lightweight Resolver Library used by BIND
rc  liblwres90                      1:9.9.5.dfsg-9+deb8u6               amd64        Lightweight Resolver Library used by BIND
ii  liblz1:amd64                    1.11-1                              amd64        data compressor based on the LZMA algorithm (library)
ii  liblz4-1:amd64                  1.8.3-1                             amd64        Fast LZ compression algorithm library - runtime
ii  liblzma2                        5.0.0-2                             amd64        XZ-format compression library
ii  liblzma5:amd64                  5.2.2-1.3                           amd64        XZ-format compression library
ii  liblzo2-2:amd64                 2.10-0.1                            amd64        data compression library
ii  libmagic-mgc                    1:5.35-2                            amd64        File type determination library using "magic" numbers (compiled magic file)
ii  libmagic1:amd64                 1:5.35-2                            amd64        Recognize the type of data in a file using "magic" numbers - library
ii  libmailtools-perl               2.18-1                              all          Manipulate email in perl programs
ii  libmailutils5:amd64             1:3.5-2                             amd64        GNU Mail abstraction library
ii  libmariadb3:amd64               1:3.0.7-2                           amd64        MariaDB Connector/C
ii  libmath-base-convert-perl       0.11-2                              all          module for very fast base to base conversion
ii  libmemcached11:amd64            1.0.18-4.2                          amd64        C and C++ client library to the memcached server
ii  libmicrohttpd12                 0.9.62-1                            amd64        library embedding HTTP server functionality
ii  libmnl0:amd64                   1.0.4-2                             amd64        minimalistic Netlink communication library
ii  libmodbus5:amd64                3.1.4-2                             amd64        library for the Modbus protocol
ii  libmodule-runtime-perl          0.016-1                             all          Perl module for runtime module handling
ii  libmount1:amd64                 2.33.1-0.1                          amd64        device mounting library
rc  libmpc2:amd64                   0.9-4                               amd64        multiple precision complex floating-point library
ii  libmpc3:amd64                   1.1.0-1                             amd64        multiple precision complex floating-point library
ii  libmpdec2:amd64                 2.4.2-2                             amd64        library for decimal floating point arithmetic (runtime library)
ii  libmpfr4:amd64                  3.1.5-1                             amd64        multiple precision floating-point computation
ii  libmpfr6:amd64                  4.0.2~rc1-1                         amd64        multiple precision floating-point computation
ii  libmpx2:amd64                   8.2.0-14                            amd64        Intel memory protection extensions (runtime)
rc  libmysqlclient16                5.1.66-0+squeeze1                   amd64        MySQL database client library
rc  libmysqlclient18:amd64          5.5.49-0+deb8u1                     amd64        MySQL database client library
ii  libncurses5:amd64               6.1+20181013-1                      amd64        shared libraries for terminal handling (legacy version)
ii  libncurses6:amd64               6.1+20181013-1                      amd64        shared libraries for terminal handling
ii  libncursesw5:amd64              6.1+20181013-1                      amd64        shared libraries for terminal handling (wide character legacy version)
ii  libncursesw6:amd64              6.1+20181013-1                      amd64        shared libraries for terminal handling (wide character support)
ii  libnet-daemon-perl              0.48-1.1                            all          Perl module for building portable Perl daemons easily
ii  libnet-http-perl                6.18-1                              all          module providing low-level HTTP connection client
ii  libnet-ldap-perl                1:0.6500+dfsg-1                     all          client interface to LDAP servers
ii  libnet-smtp-ssl-perl            1.04-1                              all          Perl module providing SSL support to Net::SMTP
ii  libnet-ssleay-perl              1.85-2+b1                           amd64        Perl module for Secure Sockets Layer (SSL)
ii  libnetfilter-conntrack3:amd64   1.0.7-1                             amd64        Netfilter netlink-conntrack library
rc  libnettle4:amd64                2.7.1-5+deb8u1                      amd64        low level cryptographic library (symmetric and one-way cryptos)
ii  libnettle6:amd64                3.4.1~rc1-1                         amd64        low level cryptographic library (symmetric and one-way cryptos)
ii  libnewt0.52:amd64               0.52.20-8                           amd64        Not Erik's Windowing Toolkit - text mode windowing with slang
ii  libnfnetlink0:amd64             1.0.1-3+b1                          amd64        Netfilter netlink library
ii  libnfsidmap2:amd64              0.25-5.1                            amd64        NFS idmapping library
ii  libnftables0:amd64              0.9.0-2                             amd64        Netfilter nftables high level userspace API library
ii  libnftnl11:amd64                1.1.2-2                             amd64        Netfilter nftables userspace API library
ii  libnghttp2-14:amd64             1.35.1-1+b1                         amd64        library implementing HTTP/2 protocol (shared library)
ii  libnl-3-200:amd64               3.4.0-1                             amd64        library for dealing with netlink sockets
ii  libnl-route-3-200:amd64         3.4.0-1                             amd64        library for dealing with netlink sockets - route interface
ii  libnotify4:amd64                0.7.7-4                             amd64        sends desktop notifications to a notification daemon
ii  libnpth0:amd64                  1.6-1                               amd64        replacement for GNU Pth using system threads
ii  libnspr4:amd64                  2:4.20-1                            amd64        NetScape Portable Runtime Library
ii  libnss-lwres                    0.93-7+b4                           amd64        NSS module for using bind9's lwres as a naming service
ii  libnss-systemd:amd64            240-4                               amd64        nss module providing dynamic user and group name resolution
ii  libnss3:amd64                   2:3.41-1                            amd64        Network Security Service libraries
ii  libntfs-3g883                   1:2017.3.23AR.3-2                   amd64        read/write NTFS driver for FUSE (runtime library)
ii  libntfs10                       2.0.0-1+b1                          amd64        library that provides common NTFS access functions
ii  libntlm0:amd64                  1.5-1                               amd64        NTLM authentication library
ii  libnuma1:amd64                  2.0.12-1                            amd64        Libraries for controlling NUMA policy
ii  libobjc4:amd64                  8.2.0-14                            amd64        Runtime library for GNU Objective-C applications
ii  libopenipmi0                    2.0.25-2                            amd64        Intelligent Platform Management Interface - runtime
ii  liboping0:amd64                 1.10.0-2.1+b1                       amd64        C/C++ library to generate ICMP ECHO_REQUESTs
ii  libopts25:amd64                 1:5.18.12-4                         amd64        automated option processing library based on autogen
ii  libow-3.2-3:amd64               3.2p3+dfsg1-2+b1                    amd64        1-Wire File System full library
ii  libowcapi-3.2-3:amd64           3.2p3+dfsg1-2+b1                    amd64        1-Wire File System C library
ii  libp11-kit0:amd64               0.23.14-2                           amd64        library for loading and coordinating access to PKCS#11 modules - runtime
ii  libpam-cap:amd64                1:2.25-1.2                          amd64        POSIX 1003.1e capabilities (PAM module)
ii  libpam-modules:amd64            1.1.8-4                             amd64        Pluggable Authentication Modules for PAM
ii  libpam-modules-bin              1.1.8-4                             amd64        Pluggable Authentication Modules for PAM - helper binaries
ii  libpam-runtime                  1.1.8-4                             all          Runtime support for the PAM library
ii  libpam-systemd:amd64            240-4                               amd64        system and service manager - PAM module
ii  libpam0g:amd64                  1.1.8-4                             amd64        Pluggable Authentication Modules library
ii  libpango-1.0-0:amd64            1.42.4-6                            amd64        Layout and rendering of internationalized text
ii  libpangocairo-1.0-0:amd64       1.42.4-6                            amd64        Layout and rendering of internationalized text
ii  libpangoft2-1.0-0:amd64         1.42.4-6                            amd64        Layout and rendering of internationalized text
rc  libpaper1:amd64                 1.1.24+nmu5                         amd64        library for handling paper characteristics
ii  libparams-classify-perl         0.015-1+b1                          amd64        Perl module for argument type classification
ii  libparams-util-perl             1.07-3+b4                           amd64        Perl extension for simple stand-alone param checking functions
ii  libparted0debian1:amd64         2.3-12                              amd64        disk partition manipulator - shared library
ii  libparted2:amd64                3.2-23                              amd64        disk partition manipulator - shared library
ii  libpcap0.8:amd64                1.8.1-6                             amd64        system interface for user-level packet capture
ii  libpci3:amd64                   1:3.5.2-1                           amd64        Linux PCI Utilities (shared library)
ii  libpcre2-8-0:amd64              10.32-3                             amd64        New Perl Compatible Regular Expression Library- 8 bit runtime files
ii  libpcre3:amd64                  2:8.39-11                           amd64        Old Perl 5 Compatible Regular Expression Library - runtime files
ii  libpcsclite1:amd64              1.8.24-1                            amd64        Middleware to access a smart card using PC/SC (library)
ii  libperl5.28:amd64               5.28.1-3                            amd64        shared Perl library
ii  libpipeline1:amd64              1.5.0-2                             amd64        pipeline manipulation library
ii  libpixman-1-0:amd64             0.36.0-1                            amd64        pixel-manipulation library for X and cairo
ii  libplrpc-perl                   0.2020-2                            all          Perl extensions for writing PlRPC servers and clients
rc  libpng12-0:amd64                1.2.50-2+deb8u2                     amd64        PNG library - runtime
ii  libpng16-16:amd64               1.6.36-2                            amd64        PNG library - runtime (version 1.6)
ii  libpopt0:amd64                  1.16-11                             amd64        lib for parsing cmdline parameters
ii  libpq5:amd64                    11.1-2                              amd64        PostgreSQL C client library
rc  libprocps0:amd64                1:3.3.3-3                           amd64        library for accessing process information from /proc
rc  libprocps3:amd64                2:3.3.9-9                           amd64        library for accessing process information from /proc
ii  libprocps7:amd64                2:3.3.15-2                          amd64        library for accessing process information from /proc
ii  libprotobuf-c1:amd64            1.3.1-1+b1                          amd64        Protocol Buffers C shared library (protobuf-c)
ii  libprotobuf17:amd64             3.6.1.3-1                           amd64        protocol buffers C++ library
ii  libproxy1v5:amd64               0.4.15-5                            amd64        automatic proxy configuration management library (shared)
rc  libpsl0:amd64                   0.5.1-1                             amd64        Library for Public Suffix List (shared libraries)
ii  libpsl5:amd64                   0.20.2-2                            amd64        Library for Public Suffix List (shared libraries)
ii  libpython-stdlib:amd64          2.7.15-4                            amd64        interactive high-level object-oriented language (Python2)
ii  libpython2-stdlib:amd64         2.7.15-4                            amd64        interactive high-level object-oriented language (Python2)
ii  libpython2.6                    2.6.8-1.1                           amd64        Shared Python runtime library (version 2.6)
ii  libpython2.7:amd64              2.7.15-5                            amd64        Shared Python runtime library (version 2.7)
ii  libpython2.7-minimal:amd64      2.7.15-5                            amd64        Minimal subset of the Python language (version 2.7)
ii  libpython2.7-stdlib:amd64       2.7.15-5                            amd64        Interactive high-level object-oriented language (standard library, version 2.7)
ii  libpython3-stdlib:amd64         3.7.1-3                             amd64        interactive high-level object-oriented language (default python3 version)
rc  libpython3.5-minimal:amd64      3.5.3-1+deb9u1                      amd64        Minimal subset of the Python language (version 3.5)
ii  libpython3.7:amd64              3.7.2-1                             amd64        Shared Python runtime library (version 3.7)
ii  libpython3.7-minimal:amd64      3.7.2-1                             amd64        Minimal subset of the Python language (version 3.7)
ii  libpython3.7-stdlib:amd64       3.7.2-1                             amd64        Interactive high-level object-oriented language (standard library, version 3.7)
ii  libquadmath0:amd64              8.2.0-14                            amd64        GCC Quad-Precision Math Library
ii  librabbitmq4:amd64              0.9.0-0.2                           amd64        AMQP client library written in C
ii  libradius1                      0.3.2-14                            amd64        /bin/login replacement with RADIUS. Shared lib to used by programs
ii  librdkafka1:amd64               0.11.6-1.1                          amd64        library implementing the Apache Kafka protocol
ii  libreadline5:amd64              5.2+dfsg-3+b2                       amd64        GNU readline and history libraries, run-time libraries
ii  libreadline6:amd64              6.3-8+b3                            amd64        GNU readline and history libraries, run-time libraries
ii  libreadline7:amd64              7.0-5                               amd64        GNU readline and history libraries, run-time libraries
ii  libregexp-common-perl           2017060201-1                        all          module with common regular expressions
ii  librest-0.7-0:amd64             0.8.1-1                             amd64        REST service access library
ii  libriemann-client0:amd64        1.10.4-2                            amd64        C language client library for the Riemann event stream processor
ii  librpcsecgss3:amd64             0.19-7+b2                           amd64        allows secure rpc communication using the rpcsec_gss protocol
ii  librrd8:amd64                   1.7.0-1+b3                          amd64        time-series data storage and display system (runtime library)
ii  librsvg2-2:amd64                2.44.10-1                           amd64        SAX-based renderer library for SVG files (runtime)
ii  librsvg2-common:amd64           2.44.10-1                           amd64        SAX-based renderer library for SVG files (extra runtime)
ii  librte-acl18.11:amd64           18.11-3                             amd64        Data Plane Development Kit (librte-acl runtime library)
ii  librte-bbdev18.11:amd64         18.11-3                             amd64        Data Plane Development Kit (librte-bbdev runtime library)
ii  librte-bitratestats18.11:amd64  18.11-3                             amd64        Data Plane Development Kit (librte_bitratestats runtime library)
ii  librte-bpf18.11:amd64           18.11-3                             amd64        Data Plane Development Kit (librte-bpf runtime library)
ii  librte-cfgfile18.11:amd64       18.11-3                             amd64        Data Plane Development Kit (librte-cfgfile runtime library)
ii  librte-cmdline18.11:amd64       18.11-3                             amd64        Data Plane Development Kit (librte-cmdline runtime library)
ii  librte-compressdev18.11:amd64   18.11-3                             amd64        Data Plane Development Kit (librte-compressdev runtime library)
ii  librte-cryptodev18.11:amd64     18.11-3                             amd64        Data Plane Development Kit (librte-cryptodev runtime library)
ii  librte-distributor18.11:amd64   18.11-3                             amd64        Data Plane Development Kit (librte-distributor runtime library)
ii  librte-eal18.11:amd64           18.11-3                             amd64        Data Plane Development Kit (librte-eal runtime library)
ii  librte-efd18.11:amd64           18.11-3                             amd64        Data Plane Development Kit (librte_efd runtime library)
ii  librte-ethdev18.11:amd64        18.11-3                             amd64        Data Plane Development Kit (libethdev runtime library)
ii  librte-eventdev18.11:amd64      18.11-3                             amd64        Data Plane Development Kit (librte_eventdev runtime library)
ii  librte-flow-classify18.11:amd64 18.11-3                             amd64        Data Plane Development Kit (librte-flow-classify runtime library)
ii  librte-gro18.11:amd64           18.11-3                             amd64        Data Plane Development Kit (librte-gro runtime library)
ii  librte-gso18.11:amd64           18.11-3                             amd64        Data Plane Development Kit (librte-gso runtime library)
ii  librte-hash18.11:amd64          18.11-3                             amd64        Data Plane Development Kit (librte-hash runtime library)
ii  librte-ip-frag18.11:amd64       18.11-3                             amd64        Data Plane Development Kit (librte-ip-frag runtime library)
ii  librte-jobstats18.11:amd64      18.11-3                             amd64        Data Plane Development Kit (librte-jobstats runtime library)
ii  librte-kni18.11:amd64           18.11-3                             amd64        Data Plane Development Kit (librte-kni runtime library)
ii  librte-kvargs18.11:amd64        18.11-3                             amd64        Data Plane Development Kit (librte-kvargs runtime library)
ii  librte-latencystats18.11:amd64  18.11-3                             amd64        Data Plane Development Kit (librte_latencystats runtime library)
ii  librte-lpm18.11:amd64           18.11-3                             amd64        Data Plane Development Kit (librte-lpm runtime library)
ii  librte-mbuf18.11:amd64          18.11-3                             amd64        Data Plane Development Kit (librte-mbuf2 runtime library)
ii  librte-member18.11:amd64        18.11-3                             amd64        Data Plane Development Kit (librte-member runtime library)
ii  librte-mempool18.11:amd64       18.11-3                             amd64        Data Plane Development Kit (librte-mempool runtime library)
ii  librte-meter18.11:amd64         18.11-3                             amd64        Data Plane Development Kit (librte-meter runtime library)
ii  librte-metrics18.11:amd64       18.11-3                             amd64        Data Plane Development Kit (librte_metrics runtime library)
ii  librte-net18.11:amd64           18.11-3                             amd64        Data Plane Development Kit (librte-net runtime library)
ii  librte-pci18.11:amd64           18.11-3                             amd64        Data Plane Development Kit (librte_pci runtime library)
ii  librte-pdump18.11:amd64         18.11-3                             amd64        Data Plane Development Kit (librte_pdump runtime library)
ii  librte-pipeline18.11:amd64      18.11-3                             amd64        Data Plane Development Kit (librte-pipeline runtime library)
ii  librte-port18.11:amd64          18.11-3                             amd64        Data Plane Development Kit (librte-port runtime library)
ii  librte-power18.11:amd64         18.11-3                             amd64        Data Plane Development Kit (librte-power runtime library)
ii  librte-rawdev18.11:amd64        18.11-3                             amd64        Data Plane Development Kit (librte-rawdev runtime library)
ii  librte-reorder18.11:amd64       18.11-3                             amd64        Data Plane Development Kit (librte-reorder runtime library)
ii  librte-ring18.11:amd64          18.11-3                             amd64        Data Plane Development Kit (librte_ring runtime library)
ii  librte-sched18.11:amd64         18.11-3                             amd64        Data Plane Development Kit (librte_sched runtime library)
ii  librte-security18.11:amd64      18.11-3                             amd64        Data Plane Development Kit (librte_security runtime library)
ii  librte-table18.11:amd64         18.11-3                             amd64        Data Plane Development Kit (librte_table runtime library)
ii  librte-telemetry18.11:amd64     18.11-3                             amd64        Data Plane Development Kit (librte_telemetry runtime library)
ii  librte-timer18.11:amd64         18.11-3                             amd64        Data Plane Development Kit (librte_timer runtime library)
ii  librte-vhost18.11:amd64         18.11-3                             amd64        Data Plane Development Kit (librte_vhost runtime library)
rc  librtmp0:amd64                  2.4+20111222.git4e06e21-1           amd64        toolkit for RTMP streams (shared library)
ii  librtmp1:amd64                  2.4+20151223.gitfa8646d.1-2         amd64        toolkit for RTMP streams (shared library)
ii  libsasl2-2:amd64                2.1.27~rc8-1                        amd64        Cyrus SASL - authentication abstraction library
ii  libsasl2-modules:amd64          2.1.27~rc8-1                        amd64        Cyrus SASL - pluggable authentication modules
ii  libsasl2-modules-db:amd64       2.1.27~rc8-1                        amd64        Cyrus SASL - pluggable authentication modules (DB)
ii  libsbjson2.3                    2.3.2-4+b1                          amd64        Objective-C JSON library
ii  libseccomp2:amd64               2.3.3-3                             amd64        high level interface to Linux seccomp filter
ii  libsecret-1-0:amd64             0.18.7-1                            amd64        Secret store
ii  libsecret-common                0.18.7-1                            all          Secret store (common files)
ii  libselinux1:amd64               2.8-1+b1                            amd64        SELinux runtime shared libraries
ii  libsemanage-common              2.8-2                               all          Common files for SELinux policy management libraries
ii  libsemanage1:amd64              2.8-2                               amd64        SELinux policy management library
ii  libsensors-config               1:3.5.0-3                           all          lm-sensors configuration files
rc  libsensors4:amd64               1:3.4.0-4                           amd64        library to read temperature/voltage/fan sensors
ii  libsensors5:amd64               1:3.5.0-3                           amd64        library to read temperature/voltage/fan sensors
ii  libsepol1:amd64                 2.8-1                               amd64        SELinux library for manipulating binary security policies
rc  libsigc++-2.0-0c2a:amd64        2.4.0-1                             amd64        type-safe Signal Framework for C++ - runtime
ii  libsigc++-2.0-0v5:amd64         2.10.1-2                            amd64        type-safe Signal Framework for C++ - runtime
ii  libsigsegv2:amd64               2.12-2                              amd64        Library for handling page faults in a portable way
ii  libslang2:amd64                 2.3.2-1+b1                          amd64        S-Lang programming library - runtime version
ii  libsmartcols1:amd64             2.33.1-0.1                          amd64        smart column output alignment library
ii  libsnmp-base                    5.7.3+dfsg-5                        all          SNMP configuration script, MIBs and documentation
ii  libsnmp30:amd64                 5.7.3+dfsg-5                        amd64        SNMP (Simple Network Management Protocol) library
ii  libsocket6-perl                 0.29-1+b1                           amd64        Perl extensions for IPv6
ii  libsodium23:amd64               1.0.16-2                            amd64        Network communication, cryptography and signaturing library
ii  libsope1                        4.0.5-2                             amd64        SKYRiX Object Publishing Environment (shared libraries)
ii  libsoup-gnome2.4-1:amd64        2.64.2-2                            amd64        HTTP library implementation in C -- GNOME support library
ii  libsoup2.4-1:amd64              2.64.2-2                            amd64        HTTP library implementation in C -- Shared library
ii  libsql-statement-perl           1.412-1                             all          module for parsing and processing SQL statements
ii  libsqlite3-0:amd64              3.26.0+fossilbc891ac6b-1            amd64        SQLite 3 shared library
ii  libss2:amd64                    1.44.5-1                            amd64        command-line interface parsing library
ii  libssh2-1:amd64                 1.8.0-2                             amd64        SSH2 client-side library
ii  libssl0.9.8                     0.9.8o-4squeeze14                   amd64        SSL shared libraries
ii  libssl1.0.0:amd64               1.0.1k-3+deb8u5                     amd64        Secure Sockets Layer toolkit - shared libraries
ii  libssl1.0.2:amd64               1.0.2q-1~deb9u1                     amd64        Secure Sockets Layer toolkit - shared libraries
ii  libssl1.1:amd64                 1.1.1a-1                            amd64        Secure Sockets Layer toolkit - shared libraries
ii  libstdc++-4.9-dev:amd64         4.9.2-10                            amd64        GNU Standard C++ Library v3 (development files)
ii  libstdc++-8-dev:amd64           8.2.0-14                            amd64        GNU Standard C++ Library v3 (development files)
ii  libstdc++6:amd64                8.2.0-14                            amd64        GNU Standard C++ Library v3
ii  libstdc++6-4.4-dev              4.4.7-2                             amd64        GNU Standard C++ Library v3 (development files)
rc  libsystemd-login0:amd64         215-17+deb8u4                       amd64        systemd login utility library (deprecated)
ii  libsystemd0:amd64               240-4                               amd64        systemd utility library
ii  libtalloc2:amd64                2.1.14-2                            amd64        hierarchical pool based memory allocator
ii  libtasn1-3:amd64                2.13-2+deb7u2                       amd64        Manage ASN.1 structures (runtime)
ii  libtasn1-6:amd64                4.13-3                              amd64        Manage ASN.1 structures (runtime)
ii  libtcmalloc-minimal4:amd64      2.7-1                               amd64        efficient thread-caching malloc
ii  libterm-readkey-perl            2.38-1                              amd64        perl module for simple terminal control
ii  libtext-charwidth-perl          0.04-7.1+b1                         amd64        get display widths of characters on the terminal
ii  libtext-iconv-perl              1.7-5+b7                            amd64        converts between character sets in Perl
ii  libtext-soundex-perl            3.4-1+b7                            amd64        implementation of the soundex algorithm
ii  libtext-unidecode-perl          1.30-1                              all          US-ASCII transliterations of Unicode text
ii  libtext-wrapi18n-perl           0.06-7.1                            all          internationalized substitute of Text::Wrap
ii  libthai-data                    0.1.28-1                            all          Data files for Thai language support library
ii  libthai0:amd64                  0.1.28-1                            amd64        Thai language support library
ii  libtiff5:amd64                  4.0.10-3                            amd64        Tag Image File Format (TIFF) library
ii  libtimedate-perl                2.3000-2                            all          collection of modules to manipulate date/time information
ii  libtinfo5:amd64                 6.1+20181013-1                      amd64        shared low-level terminfo library (legacy version)
ii  libtinfo6:amd64                 6.1+20181013-1                      amd64        shared low-level terminfo library for terminal handling
rc  libtirpc1:amd64                 0.2.5-1.2                           amd64        transport-independent RPC library
ii  libtokyocabinet8                1.4.37-6                            amd64        Tokyo Cabinet Database Libraries [runtime]
ii  libtokyocabinet9:amd64          1.4.48-12                           amd64        Tokyo Cabinet Database Libraries [runtime]
ii  libtokyotyrant3                 1.1.40-4.2+b1                       amd64        Tokyo Tyrant runtime libraries
ii  libtry-tiny-perl                0.30-1                              all          module providing minimalistic try/catch
ii  libtsan0:amd64                  8.2.0-14                            amd64        ThreadSanitizer -- a Valgrind-based detector of data races (runtime)
ii  libubsan0:amd64                 7.4.0-2                             amd64        UBSan -- undefined behaviour sanitizer (runtime)
ii  libubsan1:amd64                 8.2.0-14                            amd64        UBSan -- undefined behaviour sanitizer (runtime)
ii  libuchardet0:amd64              0.0.6-3                             amd64        universal charset detection library - shared library
ii  libudev0:amd64                  175-7.2                             amd64        libudev shared library
ii  libudev1:amd64                  240-4                               amd64        libudev shared library
ii  libunbound8:amd64               1.8.1-1+b1                          amd64        library implementing DNS resolution and validation
ii  libunistring2:amd64             0.9.10-1                            amd64        Unicode string library for C
ii  libunwind8:amd64                1.2.1-8                             amd64        library to determine the call-chain of a program - runtime
ii  libupsclient4:amd64             2.7.4-8                             amd64        network UPS tools - client library
ii  liburi-perl                     1.76-1                              all          module to manipulate and access URI strings
ii  libusb-0.1-4:amd64              2:0.1.12-32                         amd64        userspace USB programming library
ii  libusb-1.0-0:amd64              2:1.0.22-2                          amd64        userspace USB programming library
ii  libutempter0:amd64              1.1.6-3                             amd64        privileged helper for utmp/wtmp updates (runtime)
ii  libuuid1:amd64                  2.33.1-0.1                          amd64        Universally Unique ID library
ii  libvirt0:amd64                  5.0.0-1                             amd64        library for interfacing with different virtualization systems
ii  libwayland-client0:amd64        1.16.0-1                            amd64        wayland compositor infrastructure - client library
ii  libwayland-cursor0:amd64        1.16.0-1                            amd64        wayland compositor infrastructure - cursor library
ii  libwayland-egl1:amd64           1.16.0-1                            amd64        wayland compositor infrastructure - EGL library
rc  libwebp5:amd64                  0.4.1-1.2+b2                        amd64        Lossy compression of digital photographic images.
ii  libwebp6:amd64                  0.6.1-2                             amd64        Lossy compression of digital photographic images.
rc  libwebpdemux1:amd64             0.4.1-1.2+b2                        amd64        Lossy compression of digital photographic images.
rc  libwebpmux1:amd64               0.4.1-1.2+b2                        amd64        Lossy compression of digital photographic images.
ii  libwrap0:amd64                  7.6.q-27                            amd64        Wietse Venema's TCP wrappers library
ii  libwww-perl                     6.36-1                              all          simple and consistent interface to the world-wide web
ii  libwww-robotrules-perl          6.02-1                              all          database of robots.txt-derived permissions
ii  libx11-6:amd64                  2:1.6.7-1                           amd64        X11 client-side library
ii  libx11-data                     2:1.6.7-1                           all          X11 client-side library
ii  libxapian22                     1.2.19-1                            amd64        Search engine library
ii  libxapian30:amd64               1.4.9-1                             amd64        Search engine library
ii  libxau6:amd64                   1:1.0.8-1+b2                        amd64        X11 authorisation library
ii  libxcb-render0:amd64            1.13.1-2                            amd64        X C Binding, render extension
ii  libxcb-shm0:amd64               1.13.1-2                            amd64        X C Binding, shm extension
ii  libxcb1:amd64                   1.13.1-2                            amd64        X C Binding
ii  libxcomposite1:amd64            1:0.4.4-2                           amd64        X11 Composite extension library
ii  libxcursor1:amd64               1:1.1.15-2                          amd64        X cursor management library
ii  libxdamage1:amd64               1:1.1.4-3                           amd64        X11 damaged region extension library
ii  libxdmcp6:amd64                 1:1.1.2-3                           amd64        X11 Display Manager Control Protocol library
ii  libxencall1:amd64               4.11.1-1                            amd64        Xen runtime library - libxencall
ii  libxendevicemodel1:amd64        4.11.1-1                            amd64        Xen runtime libraries - libxendevicemodel
ii  libxenevtchn1:amd64             4.11.1-1                            amd64        Xen runtime libraries - libxenevtchn
ii  libxenforeignmemory1:amd64      4.11.1-1                            amd64        Xen runtime libraries - libxenforeignmemory
ii  libxengnttab1:amd64             4.11.1-1                            amd64        Xen runtime libraries - libxengnttab
ii  libxenmisc4.11:amd64            4.11.1-1                            amd64        Xen runtime libraries - miscellaneous, versioned ABI
ii  libxenstore3.0:amd64            4.11.1-1                            amd64        Xen runtime libraries - libxenstore
ii  libxentoolcore1:amd64           4.11.1-1                            amd64        Xen runtime libraries - libxentoolcore
ii  libxentoollog1:amd64            4.11.1-1                            amd64        Xen runtime libraries - libxentoollog
ii  libxext6:amd64                  2:1.3.3-1+b2                        amd64        X11 miscellaneous extension library
ii  libxfixes3:amd64                1:5.0.3-1                           amd64        X11 miscellaneous 'fixes' extension library
ii  libxi6:amd64                    2:1.7.9-1                           amd64        X11 Input extension library
ii  libxinerama1:amd64              2:1.1.4-1                           amd64        X11 Xinerama extension library
ii  libxkbcommon0:amd64             0.8.2-1                             amd64        library interface to the XKB compiler - shared library
ii  libxml-libxml-perl              2.0132+dfsg-2+b1                    amd64        Perl interface to the libxml2 library
ii  libxml-namespacesupport-perl    1.12-1                              all          Perl module for supporting simple generic namespaces
ii  libxml-parser-perl              2.44-2+b4                           amd64        Perl module for parsing XML files
ii  libxml-sax-base-perl            1.09-1                              all          base class for SAX drivers and filters
ii  libxml-sax-expat-perl           0.51-1                              all          Perl module for a SAX2 driver for Expat (XML::Parser)
ii  libxml-sax-perl                 1.00+dfsg-1                         all          Perl module for using and building Perl SAX2 XML processors
ii  libxml2:amd64                   2.9.4+dfsg1-7+b3                    amd64        GNOME XML library
ii  libxmlsec1:amd64                1.2.27-2                            amd64        XML security library
ii  libxmlsec1-openssl:amd64        1.2.27-2                            amd64        Openssl engine for the XML security library
ii  libxmuu1:amd64                  2:1.1.2-2                           amd64        X11 miscellaneous micro-utility library
ii  libxrandr2:amd64                2:1.5.1-1                           amd64        X11 RandR extension library
ii  libxrender1:amd64               1:0.9.10-1                          amd64        X Rendering Extension client library
ii  libxslt1.1:amd64                1.1.32-2                            amd64        XSLT 1.0 processing library - runtime library
ii  libxtables10                    1.4.21-2+b1                         amd64        netfilter xtables library
ii  libxtables12:amd64              1.8.2-3                             amd64        netfilter xtables library
ii  libxtst6:amd64                  2:1.2.3-1                           amd64        X11 Testing -- Record extension library
ii  libyajl2:amd64                  2.1.0-3                             amd64        Yet Another JSON Library
ii  libzstd1:amd64                  1.3.8+dfsg-3                        amd64        fast lossless compression algorithm
ii  links                           2.17-1                              amd64        Web browser running in text mode
ii  linux-base                      4.5                                 all          Linux image base package
ii  linux-image-2.6-amd64           3.2+46                              amd64        Linux for 64-bit PCs (dummy package)
rc  linux-image-2.6.32-5-amd64      2.6.32-48squeeze1                   amd64        Linux 2.6.32 for 64-bit PCs
rc  linux-image-3.2.0-4-amd64       3.2.78-1                            amd64        Linux 3.2 for 64-bit PCs
ii  linux-image-4.19.0-1-amd64      4.19.12-1                           amd64        Linux 4.19 for 64-bit PCs (signed)
rc  linux-image-4.9.0-3-amd64       4.9.30-2+deb9u5                     amd64        Linux 4.9 for 64-bit PCs
ii  linux-image-4.9.0-5-amd64       4.9.65-3+deb9u2                     amd64        Linux 4.9 for 64-bit PCs
ii  linux-image-amd64               4.19+101                            amd64        Linux for 64-bit PCs (meta-package)
ii  linux-libc-dev:amd64            4.19.12-1                           amd64        Linux support headers for userspace development
ii  linux-source-2.6.32             2.6.32-48squeeze1                   all          Linux kernel source for version 2.6.32 with Debian patches
ii  locales                         2.28-5                              all          GNU C Library: National Language (locale) data [support]
ii  lockfile-progs                  0.1.18                              amd64        Programs for locking and unlocking files and mailboxes
ii  login                           1:4.5-1.1                           amd64        system login tools
ii  logrotate                       3.14.0-4                            amd64        Log rotation utility
ii  lsb-base                        10.2018112800                       all          Linux Standard Base init script functionality
ii  lsb-release                     10.2018112800                       all          Linux Standard Base version reporting utility
ii  lsof                            4.91+dfsg-1                         amd64        utility to list open files
ii  lvm2                            2.03.02-1                           amd64        Linux Logical Volume Manager
ii  lwresd                          1:9.10.3.dfsg.P4-12.3+deb9u4        amd64        Lightweight Resolver Daemon
ii  lzma                            9.22-2.1                            amd64        Compression and decompression in the LZMA format - command line utility
ii  lzop                            1.03-4+b1                           amd64        fast compression program
ii  m4                              1.4.18-2                            amd64        macro processing language
ii  mailutils                       1:3.5-2                             amd64        GNU mailutils utilities for handling mail
ii  mailutils-common                1:3.5-2                             all          Common files for GNU mailutils
ii  make                            4.2.1-1.2                           amd64        utility for directing compilation
ii  makedev                         2.3.1-94                            all          creates device files in /dev
ii  man-db                          2.8.5-1                             amd64        on-line manual pager
ii  manpages                        4.16-1                              all          Manual pages about using a GNU/Linux system
ii  manpages-dev                    4.16-1                              all          Manual pages about using GNU/Linux for development
ii  mariadb-client-10.1             1:10.1.37-3                         amd64        MariaDB database client binaries
ii  mariadb-client-core-10.1        1:10.1.37-3                         amd64        MariaDB database core client binaries
ii  mariadb-common                  1:10.1.37-3                         all          MariaDB common metapackage
ii  mawk                            1.3.3-17+b3                         amd64        a pattern scanning and text processing language
ii  mc                              3:4.8.21-1                          amd64        Midnight Commander - a powerful file manager
ii  mc-data                         3:4.8.21-1                          all          Midnight Commander - a powerful file manager -- data files
ii  memcached                       1.5.6-1                             amd64        high-performance memory object caching system
ii  mime-support                    3.61                                all          MIME files 'mime.types' & 'mailcap', and support programs
ii  mindi-busybox                   1.2.1-4                             amd64        Collection of shell utilities in a single executable for Mindi/Mondo
ii  mktemp                          8.26-3                              all          coreutils mktemp transitional package
ii  mlocate                         0.26-3                              amd64        quickly find files on the filesystem based on their name
rc  module-init-tools               18-3                                all          transitional dummy package (module-init-tools to kmod)
ii  mount                           2.33.1-0.1                          amd64        tools for mounting and manipulating filesystems
ii  mtools                          4.0.23-1                            amd64        Tools for manipulating MSDOS files
ii  multiarch-support               2.28-5                              amd64        Transitional package to ensure multiarch compatibility
ii  mutt                            1.10.1-2                            amd64        text-based mailreader supporting MIME, GPG, PGP and threading
ii  mysql-common                    5.8+1.0.4                           all          MySQL database common files, e.g. /etc/mysql/my.cnf
ii  nano                            3.2-1                               amd64        small, friendly text editor inspired by Pico
ii  ncurses-base                    6.1+20181013-1                      all          basic terminal type definitions
ii  ncurses-bin                     6.1+20181013-1                      amd64        terminal-related programs and man pages
ii  ncurses-term                    6.1+20181013-1                      all          additional terminal type definitions
ii  net-tools                       1.60+git20180626.aebd88e-1          amd64        NET-3 networking toolkit
ii  netbase                         5.5                                 all          Basic TCP/IP networking system
ii  netcat-traditional              1.10-41.1                           amd64        TCP/IP swiss army knife
rc  nfs-common                      1:1.3.4-2.1                         amd64        NFS support files common to client and server
ii  nftables                        0.9.0-2                             amd64        Program to control packet filtering rules by Netfilter project
ii  notification-daemon             3.20.0-4                            amd64        daemon for displaying passive pop-up notifications
ii  ntfs-3g                         1:2017.3.23AR.3-2                   amd64        read/write NTFS driver for FUSE
ii  ntfsprogs                       1:2012.1.15AR.5-2.1+deb7u2          all          read/write NTFS driver for FUSE (transitional package)
ii  ntp                             1:4.2.8p12+dfsg-3                   amd64        Network Time Protocol daemon and utility programs
ii  openbsd-inetd                   0.20160825-3                        amd64        OpenBSD Internet Superserver
ii  openjdk-11-jre-headless:amd64   11.0.2+7-1                          amd64        OpenJDK Java runtime, using Hotspot JIT (headless)
ii  openjdk-8-jre-headless:amd64    8u181-b13-2~deb9u1                  amd64        OpenJDK Java runtime, using Hotspot JIT (headless)
ii  openssh-client                  1:7.9p1-5                           amd64        secure shell (SSH) client, for secure access to remote machines
ii  openssh-server                  1:7.9p1-5                           amd64        secure shell (SSH) server, for secure access from remote machines
ii  openssh-sftp-server             1:7.9p1-5                           amd64        secure shell (SSH) sftp server module, for SFTP access from remote machines
ii  openssl                         1.1.1a-1                            amd64        Secure Sockets Layer toolkit - cryptographic utility
ii  os-prober                       1.77                                amd64        utility to detect other OSes on a set of drives
ii  owfs-common                     3.2p3+dfsg1-2                       all          common files used by any of the OWFS programs
ii  parted                          3.2-23                              amd64        disk partition manipulator
ii  passwd                          1:4.5-1.1                           amd64        change and administer password and group data
ii  patch                           2.7.6-3                             amd64        Apply a diff file to an original
ii  pciutils                        1:3.5.2-1                           amd64        Linux PCI Utilities
ii  perl                            5.28.1-3                            amd64        Larry Wall's Practical Extraction and Report Language
ii  perl-base                       5.28.1-3                            amd64        minimal Perl system
rc  perl-modules                    5.20.2-3+deb8u4                     all          Core Perl modules
ii  perl-modules-5.24               5.24.1-3+deb9u5                     all          Core Perl modules
ii  perl-modules-5.28               5.28.1-3                            all          Core Perl modules
ii  perl-openssl-defaults:amd64     3                                   amd64        version compatibility baseline for Perl OpenSSL packages
ii  php                             2:7.3+69                            all          server-side, HTML-embedded scripting language (default)
ii  php-cli                         2:7.3+69                            all          command-line interpreter for the PHP scripting language (default)
ii  php-common                      2:69                                all          Common files for PHP packages
ii  php-composer-ca-bundle          1.1.3-1                             all          utility library to find a path to the system CA bundle
ii  php-composer-semver             1.4.2-1                             all          utilities, version constraint parsing and validation
ii  php-composer-spdx-licenses      1.5.0-1                             all          SPDX licenses list and validation library
ii  php-composer-xdebug-handler     1.3.1-1                             all          Restarts a process without xdebug
ii  php-json-schema                 5.2.8-1                             all          implementation of JSON schema
ii  php-psr-log                     1.1.0-1                             all          common interface for logging libraries
ii  php-symfony-console             3.4.21+dfsg-1                       all          run tasks from the command line
ii  php-symfony-debug               3.4.21+dfsg-1                       all          tools to make debugging of PHP code easier
ii  php-symfony-filesystem          3.4.21+dfsg-1                       all          basic filesystem utilities
ii  php-symfony-finder              3.4.21+dfsg-1                       all          find files and directories
ii  php-symfony-process             3.4.21+dfsg-1                       all          execute commands in sub-processes
rc  php7.0-cli                      7.0.33-0+deb9u1                     amd64        command-line interpreter for the PHP scripting language
ii  php7.0-common                   7.0.33-0+deb9u1                     amd64        documentation, examples and common module for PHP
rc  php7.0-json                     7.0.33-0+deb9u1                     amd64        JSON module for PHP
ii  php7.0-mbstring                 7.0.33-0+deb9u1                     amd64        MBSTRING module for PHP
ii  php7.0-mysql                    7.0.33-0+deb9u1                     amd64        MySQL module for PHP
rc  php7.0-opcache                  7.0.33-0+deb9u1                     amd64        Zend OpCache module for PHP
rc  php7.0-readline                 7.0.33-0+deb9u1                     amd64        readline module for PHP
ii  php7.3                          7.3.1-1                             all          server-side, HTML-embedded scripting language (metapackage)
ii  php7.3-cli                      7.3.1-1                             amd64        command-line interpreter for the PHP scripting language
ii  php7.3-common                   7.3.1-1                             amd64        documentation, examples and common module for PHP
ii  php7.3-json                     7.3.1-1                             amd64        JSON module for PHP
ii  php7.3-opcache                  7.3.1-1                             amd64        Zend OpCache module for PHP
ii  php7.3-readline                 7.3.1-1                             amd64        readline module for PHP
ii  pinentry-gtk2                   1.1.0-1+b1                          amd64        GTK+-2-based PIN or pass-phrase entry dialog for GnuPG
rc  portmap                         6.0.0-2                             amd64        RPC port mapper
rc  postfix-sqlite                  3.1.8-0+deb9u1                      amd64        SQLite map support for Postfix
ii  ppp                             2.4.7-2+4                           amd64        Point-to-Point Protocol (PPP) - daemon
ii  pptpd                           1.4.0-11+b1                         amd64        PoPToP Point to Point Tunneling Server
ii  procmail                        3.22-26                             amd64        Versatile e-mail processor
ii  procps                          2:3.3.15-2                          amd64        /proc file system utilities
ii  psmisc                          23.2-1                              amd64        utilities that use the proc file system
ii  publicsuffix                    20181227.1630-1                     all          accurate, machine-readable list of domain name suffixes
ii  python                          2.7.15-4                            amd64        interactive high-level object-oriented language (Python2 version)
ii  python-apt                      1.7.0                               amd64        Python interface to libapt-pkg
ii  python-apt-common               1.7.0                               all          Python interface to libapt-pkg (locales)
rc  python-central                  0.6.17                              all          register and build utility for Python packages
ii  python-chardet                  3.0.4-3                             all          universal character encoding detector for Python2
ii  python-debian                   0.1.34                              all          Python modules to work with Debian-related data formats
ii  python-debianbts                2.8.2                               all          Python interface to Debian's Bug Tracking System
ii  python-httplib2                 0.11.3-1                            all          comprehensive HTTP client library written for Python
ii  python-minimal                  2.7.15-4                            amd64        minimal subset of the Python2 language
ii  python-pkg-resources            40.6.3-1                            all          Package Discovery and Resource Access using pkg_resources
ii  python-pycurl                   7.43.0.2-0.1                        amd64        Python bindings to libcurl
rc  python-pygments                 2.2.0+dfsg-1                        all          syntax highlighting package written in Python
ii  python-pysimplesoap             1.16.2-1                            all          simple and lightweight SOAP Library (Python 2)
ii  python-reportbug                6.6.3                               all          Python modules for interacting with bug tracking systems
ii  python-six                      1.12.0-1                            all          Python 2 and 3 compatibility library (Python 2 interface)
ii  python-support                  1.0.15                              all          automated rebuilding support for Python modules
ii  python-xapian                   1.4.9-1                             amd64        Xapian search engine interface for Python
ii  python2                         2.7.15-4                            amd64        interactive high-level object-oriented language (Python2 version)
ii  python2-minimal                 2.7.15-4                            amd64        minimal subset of the Python2 language
ii  python2.5                       2.5.5-11                            amd64        An interactive high-level object-oriented language (version 2.5)
ii  python2.5-minimal               2.5.5-11                            amd64        A minimal subset of the Python language (version 2.5)
ii  python2.6                       2.6.8-1.1                           amd64        Interactive high-level object-oriented language (version 2.6)
ii  python2.6-minimal               2.6.8-1.1                           amd64        Minimal subset of the Python language (version 2.6)
ii  python2.7                       2.7.15-5                            amd64        Interactive high-level object-oriented language (version 2.7)
ii  python2.7-minimal               2.7.15-5                            amd64        Minimal subset of the Python language (version 2.7)
ii  python3                         3.7.1-3                             amd64        interactive high-level object-oriented language (default python3 version)
ii  python3-apt                     1.7.0                               amd64        Python 3 interface to libapt-pkg
ii  python3-certifi                 2018.8.24-1                         all          root certificates for validating SSL certs and verifying TLS hosts (python3)
ii  python3-chardet                 3.0.4-3                             all          universal character encoding detector for Python3
ii  python3-debconf                 1.5.70                              all          interact with debconf from Python 3
ii  python3-debian                  0.1.34                              all          Python 3 modules to work with Debian-related data formats
ii  python3-debianbts               2.8.2                               all          Python interface to Debian's Bug Tracking System
ii  python3-httplib2                0.11.3-1                            all          comprehensive HTTP client library written for Python3
ii  python3-idna                    2.6-1                               all          Python IDNA2008 (RFC 5891) handling (Python 3)
ii  python3-minimal                 3.7.1-3                             amd64        minimal subset of the Python language (default python3 version)
ii  python3-pkg-resources           40.6.3-1                            all          Package Discovery and Resource Access using pkg_resources
ii  python3-ply                     3.11-3                              all          Lex and Yacc implementation for Python3
ii  python3-pycurl                  7.43.0.2-0.1                        amd64        Python bindings to libcurl (Python 3)
ii  python3-pysimplesoap            1.16.2-1                            all          simple and lightweight SOAP Library (Python 3)
ii  python3-reportbug               7.5.1                               all          Python modules for interacting with bug tracking systems
ii  python3-requests                2.20.0-2                            all          elegant and simple HTTP library for Python3, built for human beings
ii  python3-six                     1.12.0-1                            all          Python 2 and 3 compatibility library (Python 3 interface)
ii  python3-urllib3                 1.24-1                              all          HTTP library with thread-safe connection pooling for Python3
rc  python3.5-minimal               3.5.3-1+deb9u1                      amd64        Minimal subset of the Python language (version 3.5)
ii  python3.7                       3.7.2-1                             amd64        Interactive high-level object-oriented language (version 3.7)
ii  python3.7-minimal               3.7.2-1                             amd64        Minimal subset of the Python language (version 3.7)
rc  radiusclient1                   0.3.2-14                            amd64        /bin/login replacement which uses the RADIUS protocol for authentication
ii  readline-common                 7.0-5                               all          GNU readline and history libraries, common files
ii  rear:amd64                      2.4+dfsg-1                          amd64        Bare metal disaster recovery and system migration framework
ii  reportbug                       7.5.1                               all          reports bugs in the Debian distribution
rc  rpcbind                         0.2.3-0.6                           amd64        converts RPC program numbers into universal addresses
ii  rrdtool                         1.7.0-1+b3                          amd64        time-series data storage and display system (programs)
rc  rsync                           3.1.3-1                             amd64        fast, versatile, remote (and local) file-copying tool
ii  rsyslog                         8.40.0-1                            amd64        reliable system and kernel logging daemon
ii  screen                          4.6.2-3                             amd64        terminal multiplexer with VT100/ANSI terminal emulation
ii  sed                             4.7-1                               amd64        GNU stream editor for filtering/transforming text
ii  sensible-utils                  0.0.12                              all          Utilities for sensible alternative selection
rc  sgml-base                       1.29                                all          SGML infrastructure and SGML catalog file support
ii  shared-mime-info                1.10-1                              amd64        FreeDesktop.org shared MIME database and spec
ii  sntp                            1:4.2.8p12+dfsg-3                   amd64        Network Time Protocol - sntp client
ii  sogo                            4.0.5-2                             amd64        Scalable groupware server
ii  sogo-common                     4.0.5-2                             all          Scalable groupware server - common files
ii  sogo-dbgsym                     4.0.5-2                             amd64        debug symbols for sogo
ii  ssl-cert                        1.0.39                              all          simple debconf wrapper for OpenSSL
ii  startpar                        0.61-1                              amd64        run processes in parallel and multiplex their output
ii  sudo                            1.8.27-1                            amd64        Provide limited super user privileges to specific users
ii  syslinux                        3:6.04~git20171011.af7e95c3+dfsg1-6 amd64        collection of bootloaders (DOS FAT and NTFS bootloader)
ii  syslinux-common                 3:6.04~git20171011.af7e95c3+dfsg1-6 all          collection of bootloaders (common)
ii  systemd                         240-4                               amd64        system and service manager
ii  systemd-sysv                    240-4                               amd64        system and service manager - SysV links
ii  sysv-rc                         2.93-3                              all          System-V-like runlevel change mechanism
ii  sysvinit                        2.88dsf-59                          amd64        System-V-like init utilities - transitional package
ii  sysvinit-utils                  2.93-3                              amd64        System-V-like utilities
ii  tar                             1.30+dfsg-4                         amd64        GNU version of the tar archiving utility
ii  tasksel                         3.49                                all          tool for selecting tasks for installation on Debian systems
ii  tasksel-data                    3.49                                all          official tasks used for installation of Debian systems
ii  tcpd                            7.6.q-27                            amd64        Wietse Venema's TCP wrapper utilities
ii  tcpdump                         4.9.2-3                             amd64        command-line network traffic analyzer
ii  telnet                          0.17-41.1                           amd64        basic telnet client
ii  tex-common                      6.10                                all          common infrastructure for building and installing TeX
ii  texinfo                         6.5.0.dfsg.1-4+b1                   amd64        Documentation system for on-line information and printed output
ii  thin-provisioning-tools         0.7.6-2                             amd64        Tools for handling thinly provisioned device-mapper meta-data
ii  time                            1.7-25.1+b1                         amd64        GNU time program for measuring CPU resource usage
ii  traceroute                      1:2.1.0-2                           amd64        Traces the route taken by packets over an IPv4/IPv6 network
ii  tzdata                          2018i-1                             all          time zone and daylight-saving time data
ii  ucf                             3.0038+nmu1                         all          Update Configuration File(s): preserve user changes to config files
ii  udev                            240-4                               amd64        /dev/ and hotplug management daemon
ii  unzip                           6.0-21                              amd64        De-archiver for .zip files
ii  update-inetd                    4.49                                all          inetd configuration file updater
ii  usbutils                        1:007-4+b1                          amd64        Linux USB utilities
ii  util-linux                      2.33.1-0.1                          amd64        miscellaneous system utilities
ii  util-linux-locales              2.33.1-0.1                          all          locales files for util-linux
ii  vim                             2:8.1.0693-2                        amd64        Vi IMproved - enhanced vi editor
ii  vim-common                      2:8.1.0693-2                        all          Vi IMproved - Common files
ii  vim-runtime                     2:8.1.0693-2                        all          Vi IMproved - Runtime files
ii  vim-tiny                        2:8.1.0693-2                        amd64        Vi IMproved - enhanced vi editor - compact version
ii  w3m                             0.5.3-37                            amd64        WWW browsable pager with excellent tables/frames support
ii  wamerican                       2018.04.16-1                        all          American English dictionary words for /usr/share/dict
ii  wbritish                        2018.04.16-1                        all          British English dictionary words for /usr/share/dict
ii  wget                            1.20.1-1                            amd64        retrieves files from the web
ii  whiptail                        0.52.20-8                           amd64        Displays user-friendly dialog boxes from shell scripts
ii  whois                           5.4.0                               amd64        intelligent WHOIS client
ii  wodim                           9:1.1.11-3+b2                       amd64        command line CD/DVD writing tool
ii  x11-common                      1:7.7+19                            all          X Window System (X.Org) infrastructure
ii  xauth                           1:1.0.10-1                          amd64        X authentication utility
ii  xe-guest-utilities              6.1.0-1033                          amd64        Virtual Machine Monitoring Scripts
ii  xkb-data                        2.23.1-1                            all          X Keyboard Extension (XKB) configuration data
rc  xml-core                        0.18                                all          XML infrastructure and XML catalog file support
ii  xorriso                         1.5.0-1                             amd64        command line ISO-9660 and Rock Ridge manipulation tool
ii  xxd                             2:8.1.0693-2                        amd64        tool to make (or reverse) a hex dump
ii  xz-utils                        5.2.2-1.3                           amd64        XZ-format compression utilities
ii  zabbix-agent                    1:4.0.3+dfsg-2                      amd64        network monitoring solution - agent
ii  zabbix-release                  3.4-1+jessie                        all          Zabbix official repository configuration
ii  zip                             3.0-11+b1                           amd64        Archiver for .zip files
ii  zlib1g:amd64                    1:1.2.11.dfsg-1                     amd64        compression library - runtime
reproducable-deb-packages.txt (132,063 bytes)   
ludovic

ludovic

2019-01-31 15:29

administrator   ~0013300

Try our packages, especially the nightly builds for both SOGo and SOPE.

chetwisniewski

chetwisniewski

2019-01-31 15:34

reporter   ~0013301

This is happening to me for all users and all emails. I am also on Arch Linux using the AUR packages supplied by DJ_L.

pacman -Qs sogo

local/sogo 4.0.5-1
groupware server built around OpenGroupware.org (OGo) and the SOPE application server
local/sope 4.0.5-1
application server used by SOGo

ludovic

ludovic

2019-01-31 15:36

administrator   ~0013302

@chetwisniewski - show a relevant stack trace too.

chetwisniewski

chetwisniewski

2019-02-01 15:28

reporter   ~0013309

I can't seem to get the breakpoint set. I tried recompiling with --enable-debug but that doesn't seem to have helped:

gdb) r
Starting program: /usr/bin/sogod -WOUseWatchDog NO -WONoDetach YES -WOPort 20000 -WOWorkersCount 1 -WOLogFile - -WOPidFile /tmp/sogo.pid
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
Feb 01 12:26:57 sogod [5676]: version 4.0.5 (build chetwisniewski@ivan 201902011224) -- starting
Feb 01 12:26:57 sogod [5676]: vmem size check enabled: shutting down app when vmem > 384 MB. Currently at 84 MB
Feb 01 12:26:57 sogod [5676]: <0x0x5555558c8a00[SOGoProductLoader]> SOGo products loaded from '/usr/lib/GNUstep/SOGo':
Feb 01 12:26:57 sogod [5676]: <0x0x5555558c8a00[SOGoProductLoader]> SchedulerUI.SOGo, MailerUI.SOGo, ActiveSync.SOGo, MainUI.SOGo, CommonUI.SOGo, ContactsUI.SOGo, PreferencesUI.SOGo, MailPartViewers.SOGo, Appointments.SOGo, AdministrationUI.SOGo, Mailer.SOGo, Contacts.SOGo
Feb 01 12:26:57 sogod [5676]: All products loaded - current memory usage at 104 MB
Feb 01 12:26:57 sogod [5676]: |SOGo| WOHttpAdaptor listening on address *:20000
^C
Program received signal SIGINT, Interrupt.
0x00007ffff71ef174 in poll () from /usr/lib/libc.so.6
(gdb) b [NSException raise]
Function "[NSException raise]" not defined.
Make breakpoint pending on future shared library load? (y or [n]) y

chetwisniewski

chetwisniewski

2019-02-02 18:39

reporter   ~0013310

This error on Arch is because of the upgrade from gnustep-base from 1.25 to 1.26. I downgraded to gnustep-base-1.25.1-4 and it started working again.

wally

wally

2019-02-09 04:57

reporter   ~0013322

Debian Buster ships gnustep 1.26 as well. Maybe that’s the issue? I guess SOGo is currently completely incompatible with that library version.

I’ll have to wait for the bug fix to reach the Debian repo for my install.

HighFIVE

HighFIVE

2019-02-10 17:33

reporter   ~0013326

Bug confirmed, I also use buster and use gnustep-base 1.26.0-4. Unable to open/load emails when selected, but when opened from source complete email can be read.

bero

bero

2019-02-11 01:11

reporter   ~0013328

Same problem here on OpenMandriva Lx 4 (which also ships gnustep-base 1.26.0).

onursehitoglu

onursehitoglu

2019-02-11 10:16

reporter   ~0013334

I figured out the problem. The shouldAskReceipt function in UIxMailView.m
sends a nil email parameter to NGMailAddressParser which calls
[NSString stringWithString] with this parameter. Prior versions of gnustep
tolerated this but not 1.26.

A quick fix is below:

diff -u -r b/SOGo-4.0.5/UI/MailerUI/UIxMailView.m a/SOGo-4.0.5/UI/MailerUI/UIxMailView.m
--- b/SOGo-4.0.5/UI/MailerUI/UIxMailView.m 2019-01-09 18:03:12.000000000 +0300
+++ a/SOGo-4.0.5/UI/MailerUI/UIxMailView.m 2019-02-11 15:25:44.870164041 +0300
@@ -716,14 +716,17 @@
email = [mailHeaders objectForKey: @"return-receipt-to"];
}

  • // email here can be "foo@bar.com" or "Foo Bar <foo@bar.com>"

  • // we must extract the actual email address

  • mailAddress = [[NGMailAddressParser mailAddressParserWithString: email] parse];

  • if ([mailAddress isKindOfClass: [NGMailAddress class]])

  • email = [mailAddress address];

  • else

  • email = nil;

  • if (email)

  • {

  • // email here can be "foo@bar.com" or "Foo Bar <foo@bar.com>"

  • // we must extract the actual email address

  • mailAddress = [[NGMailAddressParser mailAddressParserWithString: email] parse];

  • if ([mailAddress isKindOfClass: [NGMailAddress class]])

  • email = [mailAddress address];

  • else

  • email = nil;

  • }

    if (email)
    {

ludovic

ludovic

2019-02-14 14:18

administrator   ~0013358

Fixed in SOPE instead:

https://github.com/inverse-inc/sope/commit/2ca5842d863fd9f25593c6b608f5a1954f79d345

Issue History

Date Modified Username Field Change
2019-01-27 07:50 wally New Issue
2019-01-27 07:51 wally Note Added: 0013284
2019-01-27 08:02 ludovic Note Added: 0013285
2019-01-27 13:14 wally Note Added: 0013286
2019-01-28 00:17 chetwisniewski Note Added: 0013287
2019-01-28 05:16 Christian Mack Note Added: 0013289
2019-01-28 06:16 wally Note Added: 0013290
2019-01-28 06:16 wally File Added: sogocrash.txt
2019-01-30 16:01 tom.sawyer Note Added: 0013291
2019-01-30 16:01 tom.sawyer File Added: backtrace-sogod-tom.sawyer.txt
2019-01-30 16:02 ludovic Note Added: 0013292
2019-01-30 17:00 tom.sawyer File Added: backtrace-sogod-tom.sawyer-with-sope-dbg.txt
2019-01-30 17:00 tom.sawyer Note Added: 0013293
2019-01-31 08:29 ludovic Note Added: 0013294
2019-01-31 15:10 wally Note Added: 0013296
2019-01-31 15:10 wally File Added: 64379.eml
2019-01-31 15:10 wally File Added: 64395.eml
2019-01-31 15:13 wally Note Added: 0013297
2019-01-31 15:13 wally File Added: email-reproduce-examples.zip
2019-01-31 15:16 ludovic Note Added: 0013298
2019-01-31 15:27 wally Note Added: 0013299
2019-01-31 15:28 wally File Added: reproducable-deb-packages.txt
2019-01-31 15:29 ludovic Note Added: 0013300
2019-01-31 15:34 chetwisniewski Note Added: 0013301
2019-01-31 15:36 ludovic Note Added: 0013302
2019-02-01 15:28 chetwisniewski Note Added: 0013309
2019-02-02 18:39 chetwisniewski Note Added: 0013310
2019-02-09 04:57 wally Note Added: 0013322
2019-02-10 17:33 HighFIVE Note Added: 0013326
2019-02-11 01:11 bero Note Added: 0013328
2019-02-11 06:31 francis Relationship added has duplicate 0004673
2019-02-11 10:16 onursehitoglu Note Added: 0013334
2019-02-14 14:18 ludovic Note Added: 0013358
2019-02-14 14:18 ludovic Status new => closed
2019-02-14 14:18 ludovic Assigned To => ludovic
2019-02-14 14:18 ludovic Resolution open => fixed
2019-02-14 14:18 ludovic Fixed in Version => 4.0.6